<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// dataChange.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript erzeugt das nderungs-Formular im Bereich "Beratung und Hilfestellung".

// Das Skript ruft sich selber auf und prft nach Vollstndigkeit von Eingaben.

// Nach erfolgreicher Prfung werden die Formular-Eingaben an das Skript 'sendChange.php' per header() gesendet

// und in diesem per Email-Server an die Firma Equal-Ostbayern geschickt.

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 01.01.2004

//

// Letzte nderung:	 02.01.2004

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// Aktuelle Seite festlegen

$_SESSION['site'] = './counselling/dataChange.php';





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';





// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================

$strQuery = "SELECT dKey, dValue FROM dictionary

             WHERE dLang = '$strLang' AND dDomain IN ('change', 'counsChange')";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// ============================================================================================================





// Trger-Daten aus den DB-Tabellen abrufen und in einem Array speichern ======================================

$strQuery = "SELECT DISTINCT orgID, orgName FROM offers_counselling, organiser

             WHERE coun_offStatus = 'yes' AND coun_offOrgID = orgID

             ORDER BY orgName";



$result = mysql_query($strQuery);



// Resultat von SQL-Abfrage in dem Array speichern

while ($line = mysql_fetch_array($result, MYSQL_ASSOC))

{

    $arrOrgResult[$line['orgID']] = $line['orgName'];

}

// ============================================================================================================





// Eintrge fr die Liste 'Daten ndern' aus der DB-Tabelle abrufen und in einem Array speichern ==============

$strQuery = "SELECT dID, dValue FROM dictionary

             WHERE dLang = '$strLang' AND dKey = 'chgList'

             ORDER BY dID";



$result = mysql_query($strQuery);



// Resultat von SQL-Abfrage in dem Array speichern

while ($line = mysql_fetch_array($result, MYSQL_ASSOC))

{

	$arrChgList[$line['dID']] = $line['dValue'];

}

// ============================================================================================================



// Variable fr den Eintrag in der Liste 'Ihre Firma:', default: $selection = '--Bitte auswhlen--'

$strOrg = $selection;



// Nach Senden der Eingaben

if ($_POST)

{

	// Lokale Variablen

	$strArea = $_POST['frmArea'];								// hidden-Feld (Bereich der Auswahl: Bildung/Beratung)

	$strOrg = $_POST['frmOrg'];									// Trger-Name

	$strFrom = substr(trim($_POST['frmFrom']), 0, 255);			// Email der Trgers

	$strChange = trim($_POST['frmChange']);						// zu vernderte Angaben (zum Angebot/zur Firma etc.)

	$strContent = substr(trim($_POST['frmContent']), 0, 800);	// Inhalt der nderungen bzw. der Email

	$strSubject = 'nderung in DB RODIN';



	$strError = '';								// Fr die Fehler-Meldung



	// Im Falle des Eingabe-Fehlers die Error-Variablen mit Fehler-Meldung-Text versehen

	switch(TRUE)

	{

        case $_POST['frmOrg'] == $selection:

            $strError = $nameError;

            break;

        case $_POST['frmFrom'] == '':

            $strError = $emailError;

            break;

        case $_POST['frmContent'] == '':

            $strError = $contentError;

            break;

	}

	// Wenn alle erforderlichen Eingabe-Felder gefllt wurden

	if ($strError == '') {

		// Inhalt der Email vervollstndigen

		$strContent = $strArea."\n\nTrger: ".$strOrg."\n\nnderung ".$strChange."\n\nInhalt der Email: \n".$strContent;

		// Inhalt vor dem Weiterleiten an die nchste Seite codieren

		$strContent = urlencode($strContent);

		// Weitegeben der Eingaben an das nchste Skript

		header("Location: ../include/sendChange.inc.php?from=$strFrom&subject=$strSubject&content=$strContent");

		exit;

	}

}



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/form.css');



?>



<table align="center" border="0" width="700">

<colgroup>

	<col />

</colgroup>

	<tr><td>

        <h5 style="color: #C0C0C0"><?=$siteName?></h5>

	</td></tr>

</table>



<?php



// =============================================================================================================

// * Wenn nicht alle Pflichtfelder vom Benutzer gefllt wurden, dann wird eine entsprechende Meldung ausgegeben

// =============================================================================================================

if ( isset($strError) )

	echo "<table align=\"center\" border=\"0\" width=\"700\" style=\"color: red\"><tr><td align=\"left\">

		  \n$strError</td></tr>\n</table>";

// =============================================================================================================



?>





<form action="./dataChange.php" method="post">



<input type="hidden" name="frmArea" value="Bereich Beratung und Hilfestellung">



<table width="700" border="0" cellpadding="4" cellspacing="1" bgcolor="#C0C0C0" align="center">

<colgroup>

    <col width="25%" />

    <col width="75%" />

</colgroup>



    <tr bgcolor="#EEEEEE">

	    <td align="center" colspan="2"><b><?=$changeTitle?></b></td>

    </tr>



    <tr bgcolor="white">

        <td><b><?=$firmaTitle?></b></td>

        <td>

            <select name="frmOrg">

	            <option><?=$strOrg?></option>



<?php



// ================================================================

// *    Hier wird die Auswahlliste "Trger" mit Eintrgen gefllt *

// ================================================================

if ( isset($arrOrgResult) ) {

    foreach ($arrOrgResult as $val) {

        echo "<option>$val</option><br />\n";

    }

}

// =================================================================



?>



            </select>

	    </td>

    </tr>



    <tr bgcolor="white">

        <td><b><?=$emailTitle?></b></td>

        <td><input type="text" name="frmFrom" size="37" maxlength="200" value="<?=$strFrom?>"></td>

    </tr>

    <tr bgcolor="white">

        <td><b><?=$dataChangeTitle?></b></td>

        <td>

		    <select name="frmChange">



<?php



// ====================================================================

// *  Hier wird die Auswahlliste "Daten ndern" mit Eintrgen gefllt *

// ====================================================================

if ( isset($arrChgList) ) {

    foreach ($arrChgList as $val) {

    	echo "<option>$val</option><br />\n";

    }

}

// ====================================================================



?>

	        </select>

        </td>

    </tr>

    <tr bgcolor="white">

        <td valign="top"><b><?=$contentsTitle?></b></td>

        <td><textarea name="frmContent" cols="79" rows="8"><?=$strContent?></textarea></td>

    </tr>



</table>



<table width="700" border="0" align="center">

<colgroup>

    <col width="68%">

    <col width="15%">

    <col width="17%">

</colgroup>

    <tr>

        <td>

        </td>

        <td align="right">

            <input type="submit" name="submit" value="<?=$submit?>">

        </td>

        <td align="right">

            <input type="reset" name="reset" value="<?=$reset?>">

        </td>

    </tr>

</table>



</form>



</body>

</html>