<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// quickFormConf.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript wird vom quickForm.php aufgerufen uns es empfngt per POST die Formulareingaben.

//

// Das Skript erzeugt die Web-Seite, in der die bearbeitetenen Benutzerangaben zu seiner Besttigung angezeigt werden.

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.php; rodin/include/mySQL.inc.php;rodin/include/quickFormCheck.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 24.09.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// Aktuelle Seite festlegen

$_SESSION['site'] = './counselling/newMeasQuickFormConf.php';





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';





// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================



$strQuery = "SELECT dKey, dValue FROM dictionary

			WHERE dLang = '$strLang' AND dDomain IN ('general', 'formular', 'quickForm',

													 'quickFormConfirm', 'counsNewMeas')";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// =====================================================================================================================





// ==============================================================

// * Das Skript bearbeitet und berprft die Benutzereingaben	*

// ==============================================================



include ('../include/newMeasQuickFormCheck.inc.php');

// ==============================================================



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/form.css');



?>



<a name="oben"></a>



<table align="center" border="0" width="700">

<colgroup>

    <col />

</colgroup>



	<tr><td><h5 style="color: #C0C0C0"><?=$siteName?></h5>

	<h3 align="center"><?=$greetingRegistered?></h3>

	</td></tr>

</table>



<table align="center" border="0" width="700">

<colgroup>

    <col width="50%" span="2" />

</colgroup>

	<tr>

    	<td align="left" style="color:red"><?=$checkText?></td>

    </tr><tr>

        <td  colspan="2"><br />

            <table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#C0C0C0" align="center"

                 style="color:darkblue">

            <colgroup>

                <col width="25%" />

                <col width="75%" />

            </colgroup>

                <tr bgcolor="#EEEEEE">

                    <td align="center" colspan="2">

                        <a href="#senden"><img src="../images/down.gif" border="0"

                        				 	align="left" width="14" height="10"></a><b><?=$tabMeasHead?></b>

                    </td>

                </tr>

                <tr bgcolor="white">

                    <td><b><?=$tabMeasTitle?></b></td>

                    <td><i><?=$_SESSION['offTitle']?></i></td>

                </tr>



                <tr bgcolor="white">

                    <td><b><?=$termTitle?></b></td>

                    <td><i>

<?php

// Gltigkeit des Angebots

if ( $_SESSION['offTerm'] == 'concrete' OR $_SESSION['offTerm'] == 'expected' )

	echo ${$_SESSION['offTerm']}.' '.$till.' '.$_SESSION['date'];

elseif ( $_SESSION['offTerm'] == 'limitless' )

	echo ${$_SESSION['offTerm']};



?>

					</i></td>

                </tr>

<?php

///Dauer des Angebots

//Dauer des Angebots

if( $_SESSION['beginDate'] || $_SESSION['endDate'] )



{

    echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$term</b></td>\n";



    echo "<td valign=\"top\">\n<table width=\"100%\" border=\"0\">

          \n<colgroup>\n<col width=\"20%\" />\n<col width=\"80%\" />\n</colgroup>\n";



	if ($_SESSION['beginDate']) {



		echo "<tr><td>$begin</td>\n<td><i>";

	    if ( $_SESSION['offTermBegin'] != '' )

	    	echo ${$_SESSION['offTermBegin']}, " ", $at, " ";



		echo $_SESSION['beginDate'];

    	echo "</i></td></tr>\n";

	}



    if ($_SESSION['endDate']) {

	    echo "<tr><td>$end</td>\n<td><i>";

		if ( $_SESSION['offTermEnd'] )

		    echo ${$_SESSION['offTermEnd']}, " ", $at, " ";



		echo $_SESSION['endDate'];

	    echo "</i></td></tr>";

	}



	echo "</table>\n</td></tr>";

}



?>

                <tr bgcolor="white">

                    <td valign="top"><b><?=$tabMeasThema?></b></td>

                    <td valign="top"><i>



<?php

// Thematische Schwerpunkte

if ( $_SESSION['topic1'] ) {

    echo $_SESSION['topic1'];

    echo "<br />";

}



if ( $_SESSION['topic2'] ) {

    echo $_SESSION['topic2'];

    echo "<br />";

}



if ( $_SESSION['topic3'] ) {

    echo $_SESSION['topic3'];

    echo "<br />";

}



if ( $_SESSION['offTopic4'] )

    echo $_SESSION['offTopic4'];



?>



                    </i></td>

                </tr>



<?php



if ( isset($_SESSION['type1']) OR isset($_SESSION['type2']) OR isset($_SESSION['type3'])

	 OR isset($_SESSION['offType4']) ) {



 	echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\">\n<b>$measTypeTitle</b>\n</td><td><i>";



 	if ( $_SESSION['type1'] ) {

 		 echo $_SESSION['type1'];

 		 echo "<br />\n";

 	}

 	if ( $_SESSION['type2'] ) {

 		 echo $_SESSION['type2'];

 		 echo "<br />\n";

 	}

 	if ( $_SESSION['type3'] ) {

 		 echo $_SESSION['type3'];

 		 echo "<br />\n";

 	}

 	if ( $_SESSION['offType4'] )

 		 echo $_SESSION['offType4'];



 	echo "\n</i></td></tr>";

}



if ( $_SESSION['offDescr'] ) {

  	echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\">\n<b>$tabMeasDescr</b>\n</td>\n<td valign=\"top\"><i>";

  	echo $_SESSION['offDescr'];

  	echo "</i></td>\n</tr>";

}



?>



                <tr bgcolor="#EEEEEE">

                    <td align="center" colspan="2">

                        <a href="#senden"><img src="../images/down.gif" border="0"

                        						align="left" width="14" height="10"></a><b><?=$tabOrgHead?></b>

                    </td>

                </tr>

                <tr bgcolor="white">

                    <td><b><?=$tabOrgNameTitle?></b></td>

                    <td><i><?=$_SESSION['orgName']?></i></td>

                </tr>



<?php



if( $_SESSION['orgType'] ) {

	echo    "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$orgTypeTitle</b></td>\n<td><i>";

	echo $_SESSION['orgType'];

	echo "</i></td>\n</tr>\n";

}



if( $_SESSION['orgOfficeTime'] ) {

	echo    "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$officeTime</b></td>\n<td><i>";

	echo $_SESSION['orgOfficeTime'];

	echo "</i></td>\n</tr>\n";

}



echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$addrTitle</b></td>\n";

echo "<td valign=\"top\">\n<table width=\"100%\" border=\"0\">\n<colgroup>\n<col width=\"20%\" />\n

     	<col width=\"80%\" />\n</colgroup>\n";



echo "<tr><td>$type</td>\n<td><i>";

echo ${$_SESSION['addrType']};

echo "</i></td></tr>\n";



if( $_SESSION['addrStreet'] ) {

	echo "<tr><td>$streetTitle</td>\n<td><i>";

	echo $_SESSION['addrStreet'];

	echo "</i></td></tr>\n";

}



if( $_SESSION['addrPostBox'] ) {

	echo "<tr><td>$postBoxTitle</td>\n<td><i>";

	echo $_SESSION['addrPostBox'];

	echo "</i></td></tr>\n";

}



echo "<tr><td>$town</td>\n<td><i>";

if ($_SESSION['addrPostCode']) {

    echo $_SESSION['addrPostCode'];

    echo "&nbsp;&nbsp;";

}



echo $_SESSION['addrTown'];

echo "</i></td></tr>\n";

echo "<tr><td>$countryTitle</td>\n<td><i>";

echo ${$_SESSION['addrCountry']};

echo "</i></td></tr>\n</table>\n</td></tr>";





if ( isset($_SESSION['orgTel']) or isset($_SESSION['orgFax'])

     or isset($_SESSION['orgEmail']) or isset($_SESSION['orgWww']) )



{



    echo    "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$communicationTitle</b></td>\n";



    echo    "<td valign=\"top\">\n<table width=\"100%\" border=\"0\">

             \n<colgroup>\n<col width=\"20%\" />\n<col width=\"80%\" />\n</colgroup>\n";



	if( $_SESSION['orgTel'] ) {

		echo "<tr><td>$telefTitle</td>\n<td><i>";

		echo $_SESSION['orgTel'];

		echo "</i></td></tr>\n";

	}



	if( $_SESSION['orgFax'] ) {

		echo "<tr><td>$faxTitle</td>\n<td><i>";

		echo $_SESSION['orgFax'];

		echo "</i></td></tr>\n";

	}



	if( $_SESSION['orgEmail'] ) {

		echo "<tr><td>$emailTitle</td>\n<td><i>";

		echo $_SESSION['orgEmail'];

		echo "</i></td></tr>\n";

	}



	if( $_SESSION['orgWww'] ) {

		echo "<tr><td>$wwwTitle</td>\n<td><i>";

		echo $_SESSION['orgWww'];

		echo "</i></td></tr>\n";

	}



	echo	"</table>\n";



}



?>

                	</td>

				</tr>

            </table>



    	</td>

    </tr>



    <tr>

    	<td colspan="2">

        <br />



            <table width="100%" border="0" align="center">

            <colgroup>

                <col width="5%">

                <col width="50%">

                <col width="45%">

            </colgroup>

                <tr>

                    <td valign="top" align="right">

                        <a href="#oben"><img src="../images/up.gif" border="0" align="left" width="14" height="10"></a>

                    </td>

                    <td align="left">

                    	<a href="./newMeasQuickForm.php" style="color:blue">&lt;&lt;&lt; &nbsp;<?=$linkBack?></a></td>

                    <td align="right"><a href="./newMeasDetailForm.php" style="color:blue">

                    	<?=$linkNext?> &nbsp;&gt;&gt;&gt;</a>

                    </td>

                </tr><tr>

                    <td colspan="3">&nbsp;</td>

                </tr><tr>

                    <td colspan="3" align="right">

                        <a href="../include/newMeasAdd.inc.php" name="senden">

                        <img src="../images/send.gif" border="0" align="right"></a>

                    </td>

                </tr>

            </table>



    	</td>

    </tr>



</table>



</body>

</html>

