<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// resultTable.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript zeigt dem Benutzer die ermittelten Angebote im Bereich "Beratung und Hilfestellung".

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php; rodin/include/functions.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 11.09.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// ====================================================

// * functions.inc.php enthlt smtl. Funktionen 	  *

// ====================================================



include_once ('../include/functions.inc.php');

// ====================================================





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';



// ID der Manahme lokal speichern

$strID = isset($_GET['id']) ? $_GET['id'] : '';



if ($strID == '') exit;



// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================

$strQuery = "SELECT dKey, dValue FROM dictionary

			 WHERE dLang = '$strLang' AND dDomain IN ('general', 'formular', 'searchMeasure', 'resultShow')";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// ============================================================================================================





// Daten zum ausgewhlten Eintrag ermitteln ===================================================================

$strQuery = "SELECT * FROM offers_education, organiser, addresses

			WHERE educ_offID = $strID AND educ_offOrgID = orgID AND orgAddrID = addrID";





$result = @mysql_query($strQuery);



// Resultat von SQL-Abfrage in einem Array speichern

$arrMeasResult = @mysql_fetch_array($result, MYSQL_ASSOC) OR die("Ungltiger Aufruf der Website!");

// ============================================================================================================





// Das Datum formatieren

$strDate = date("d.m.Y", strtotime ($arrMeasResult['educ_offEntryDate']));

$strTermDate = date("d.m.Y", strtotime ($arrMeasResult['educ_offTermDate']));

$strDateFrom = date("d.m.Y", strtotime ($arrMeasResult['educ_offTermFrom']));

$strDateTill = date("d.m.Y", strtotime ($arrMeasResult['educ_offTermTill']));



// Ort der Manahme

$strMeasAddrID = $arrMeasResult['educ_offAddrID'];

if ($strMeasAddrID != '') {

	$strQuery = "SELECT addrTown, addrCountry FROM addresses WHERE addrID = $strMeasAddrID";

	$result = mysql_query($strQuery);

	$arrMeasAddrResult = mysql_fetch_array($result, MYSQL_ASSOC);

}



// Kontaktperson fr die Manahme

$strMeasPersID = $arrMeasResult['educ_offPersID'];

if ($strMeasPersID != '') {

	$strQuery = "SELECT * FROM persons WHERE persID = $strMeasPersID";

	$result = mysql_query($strQuery);

	$arrMeasPersResult = mysql_fetch_array($result, MYSQL_ASSOC);

	$strMeasPersAddrID = $arrMeasPersResult['persAddrID'];

}



// Anschrift der Kontaktperson fr die Manahme

if ($strMeasPersAddrID != '') {

	$strQuery = "SELECT * FROM addresses WHERE addrID = $strMeasPersAddrID";

	$result = mysql_query($strQuery);

	$arrMeasPersAddrResult = mysql_fetch_array($result, MYSQL_ASSOC);

}



// Kontaktperson des Trgers

$strOrgPersID = $arrMeasResult['orgPersID'];

if ($strOrgPersID != '') {

	$strQuery = "SELECT * FROM persons WHERE persID = $strOrgPersID";

	$result = mysql_query($strQuery);

	$arrOrgPersResult = mysql_fetch_array($result, MYSQL_ASSOC);

	$strOrgPersAddrID = $arrOrgPersResult['persAddrID'];

}



// Anschrift der Kontaktperson des Trgers

if ($strOrgPersAddrID != '') {

	$strQuery = "SELECT * FROM addresses WHERE addrID = $strOrgPersAddrID";

	$result = mysql_query($strQuery);

	$arrOrgPersAddrResult = mysql_fetch_array($result, MYSQL_ASSOC);

}



$strTitle = $arrMeasResult['educ_offTitle'];;

// HTML-Grundgerst und Kopfdaten

//include('../include/header.htm');



?>



<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"

       "http://www.w3.org/TR/html4/loose.dtd">

<html>

<head>

	<title><?=$strTitle?></title>

	<meta http-equiv="content-type" content="text/html"; charset="ISO-8859-1">

    <style type="text/css">



<?php



//Stylesheet-Datei einbinden

include('../include/resTables.css');



?>

    <SCRIPT LANGUAGE="JavaScript">

    <!--

    function sitePrint(){

       if (window.print)

          window.print()

       else

          window.alert("Leider nicht mglich!")

    }

    function siteClose(){

       if (window.close)

          window.close()

       else

          window.alert("Leider nicht mglich!")

    }



    //-->

    </SCRIPT>



	<image src="../images/bruecken_logo.jpg" border="0" width="156" height="56" style="margin-left:18px">

	<br /><br />

    <table width="95%" border="0" cellpadding="5" cellspacing="0" style="margin-left:10px">

    <colgroup>

       <col width="160" />

       <col width="*" />

    </colgroup>

    <tr>

        <td align="left" colspan="2" valign="top">

            <a href="javascript:siteClose()" style="color:blue"><img src="../images/close.gif" border="0">

            <b><?=$close?></b></a>&nbsp;&nbsp;&nbsp;

            <a href="javascript:sitePrint()" style="color:blue"><img src="../images/printer.gif" border="0">

            <b><?=$print?></b></a>

        </td>

    </tr>



<?php



echo "<tr><td colspan=\"2\" align=\"left\" style=\"font-size:11pt\"><u>$tabMeasHead</u></td></tr>\n";



echo "<tr><td valign=\"top\"><b>$tabMeasTitle</b></td><td valign=\"top\">";

echo $arrMeasResult['educ_offTitle'];

echo "</td></tr>\n";



echo "<tr><td valign=\"top\"><b>$tabDateTitle</b></td><td valign=\"top\">";

echo $strDate;

echo "</td></tr>\n";



if ($arrMeasAddrResult['addrTown'] != '') {

    echo "<tr><td valign=\"top\"><b>$placeTitle:</b></td><td valign=\"top\">";

    echo $arrMeasAddrResult['addrTown'];

    echo "&nbsp;/&nbsp;";

    echo ${$arrMeasAddrResult['addrCountry']};

    echo "</td></tr>\n";

}



echo "<tr><td valign=\"top\"><b>$termTitle</b></td><td valign=\"top\">";

echo ${$arrMeasResult['educ_offTerm']};

if ($arrMeasResult['educ_offTermDate'] != '0000-00-00') {

	echo " $till ";

	echo $strTermDate;

}

echo "</td></tr>\n";



if ($arrMeasResult['educ_offTermFrom'] != '0000-00-00' || $arrMeasResult['educ_offTermTill'] != '0000-00-00') {



	echo "<tr><td valign=\"top\"><b>$periodTitle</b></td><td valign=\"top\">";



	if ( $arrMeasResult['educ_offTermFrom'] && $arrMeasResult['educ_offTermFrom'] != '0000-00-00' ) {

		echo $from, ' ' , $strDateFrom;

		if ($arrMeasResult['educ_offTermBegin'])

			echo " (", ${$arrMeasResult['educ_offTermBegin']}, ") ";

	}



	if ( $arrMeasResult['educ_offTermTill'] && $arrMeasResult['educ_offTermTill'] != '0000-00-00' ) {

		echo ' ', $till, ' ', $strDateTill;

        if ($arrMeasResult['educ_offTermEnd'])

		echo " (", ${$arrMeasResult['educ_offTermEnd']}, ")";

	}



    echo "</td></tr>\n";

}



echo "<tr><td valign=\"top\"><b>$topTitle</b></td><td valign=\"top\">";

if ($arrMeasResult['educ_offTopicID1'] != '') {

    print (Find_Entry($arrMeasResult['educ_offTopicID1']));

    echo "<br />";

}

if ($arrMeasResult['educ_offTopicID2'] != '') {

    print (Find_Entry($arrMeasResult['educ_offTopicID2']));

    echo "<br />";

}

if ($arrMeasResult['educ_offTopicID3'] != '') {

    print (Find_Entry($arrMeasResult['educ_offTopicID3']));

    echo "<br />";

}

if ($arrMeasResult['educ_offTopic4'] != '') {

    echo $arrMeasResult['educ_offTopic4'];

    echo "</td></tr>\n";

}



if ($arrMeasResult['educ_offSector'] != '') {

    echo "<tr><td valign=\"top\"><b>$measSectorTitle</b></td><td valign=\"top\">";

    echo $arrMeasResult['educ_offSector'];

    echo "</td></tr>\n";

}



if ($arrMeasResult['educ_offTypeID1'] != '' OR $arrMeasResult['educ_offTypeID2'] != ''

	OR $arrMeasResult['educ_offTypeID3'] != '' OR $arrMeasResult['educ_offType4'] != '')

{

    echo "<tr><td valign=\"top\"><b>$kindTitle</b></td><td valign=\"top\">";

    if ($arrMeasResult['educ_offTypeID1'] != '') {

        print (Find_Entry($arrMeasResult['educ_offTypeID1']));

        echo "<br />";

    }

    if ($arrMeasResult['educ_offTypeID2'] != '') {

        print (Find_Entry($arrMeasResult['educ_offTypeID2']));

        echo "<br />";

    }

    if ($arrMeasResult['educ_offTypeID3'] != '') {

        print (Find_Entry($arrMeasResult['educ_offTypeID3']));

        echo "<br />";

    }

    if ($arrMeasResult['educ_offType4'] != '') {

	    echo $arrMeasResult['educ_offType4'];

	}

	echo "</td></tr>\n";

}



if ($arrMeasResult['educ_offDescr'] != '') {

    echo "<tr><td valign=\"top\"><b>$tabMeasDescr</b></td><td valign=\"top\">";

    echo $arrMeasResult['educ_offDescr'];

    echo "</td></tr>\n";

}



if ($arrMeasResult['educ_offFullTime'] != '') {

    echo "<tr><td valign=\"top\"><b>$fullTimeTitle</b></td><td valign=\"top\">";

    echo ${$arrMeasResult['educ_offFullTime']};

    echo "</td></tr>\n";

}



if ($arrMeasResult['educ_offTeleJob'] != '') {

    echo "<tr><td valign=\"top\"><b>$teleJobTitle</b></td><td valign=\"top\">";

    echo ${$arrMeasResult['educ_offTeleJob']};

    echo ": ";

    echo $arrMeasResult['educ_offTeleJobText'];

    echo "</td></tr>\n";

}



if ($arrMeasResult['educ_offTime'] != '') {

    echo "<tr><td valign=\"top\"><b>$timeTitle</b></td><td valign=\"top\">";

    echo $arrMeasResult['educ_offTime'];

    echo "</td></tr>\n";

}



if ($arrMeasResult['educ_offInfoMaterialien'] != '') {

    echo "<tr><td valign=\"top\"><b>$infoMaterial</b></td><td valign=\"top\">";



    $arrInfo = explode(" ", $arrMeasResult['educ_offInfoMaterialien']);



    foreach ($arrInfo as $val) {

    	if (trim($val) != '')

    	{

    		if ($val == 'web') {

                echo substr(${$val}, 0, strpos(${$val}, "<"));

                echo ": ";

                echo "<a href=\"http://";

                echo $arrMeasResult['educ_offWebText'];

                echo "\">";

                echo $arrMeasResult['educ_offWebText'];

                echo "</a>";

            } elseif ($val == 'other') {

                echo ${$val};

                echo ": ";

                echo $arrMeasResult['educ_offOtherText'];

            } else

                echo ${$val};



            echo "<br />";

    	}

    }

    echo "</td></tr>\n";

}



if ($arrMeasResult['educ_offCostDuty'] != '') {

    echo "<tr><td valign=\"top\"><b>$costTitle</b></td><td valign=\"top\">";

    echo ${$arrMeasResult['educ_offCostDuty']};



    if ($arrMeasResult['educ_offCostSum'] != '') {

    	echo ":&nbsp;";

    	echo $arrMeasResult['educ_offCostSum'];

    }

    if ($arrMeasResult['educ_offCostText'] != '') {

    	echo ":&nbsp;";

    	echo $arrMeasResult['educ_offCostText'];

    }

    echo "</td></tr>\n";

}



if ($arrMeasResult['educ_offCondition'] != '') {

    echo "<tr><td valign=\"top\"><b>$conditionTitle</b></td><td valign=\"top\">";

    echo $arrMeasResult['educ_offCondition'];

    echo "</td></tr>\n";

}



if ( $arrMeasResult['educ_offLang'] != '' or $arrMeasResult['educ_offSchool'] != ''

	or $arrMeasResult['educ_offJob'] != '' or $arrMeasResult['educ_offBasic'] != '' ) {



    echo "<tr><td valign=\"top\"><b>$knowhowTitle</b></td><td valign=\"top\">";

    echo "<table border=\"0\" width=\"100%\"><colgroup><col width=\"40%\" /><col width=\"*\" /></colgroup>";



    if ( $arrMeasResult['educ_offLang'] != '' ) {

    	echo "<tr><td>";

    	echo $arrMeasResult['educ_offLangText'];

    	echo ": ";

    	echo "</td><td valign=\"bottom\"><u>";

    	echo ${$arrMeasResult['educ_offLang']};

    	echo "</u></td></tr>\n";

    }



    if ( $arrMeasResult['educ_offSchool'] != '' ) {

    	echo "<tr><td>";

    	echo $arrMeasResult['educ_offSchoolText'];

    	echo ": ";

    	echo "</td><td valign=\"bottom\"><u>";

    	echo ${$arrMeasResult['educ_offSchool']};

    	echo "</u></td></tr>\n";

    }



    if ( $arrMeasResult['educ_offJob'] != '' ) {

    	echo "<tr><td>";

    	echo $arrMeasResult['educ_offJobText'];

    	echo ": ";

    	echo "</td><td valign=\"bottom\"><u>";

    	echo ${$arrMeasResult['educ_offJob']};

    	echo "</u></td></tr>\n";

    }



    if ( $arrMeasResult['educ_offBasic'] != '' ) {

    	echo "<tr><td>";

    	echo $arrMeasResult['educ_offBasicText'];

    	echo ": ";

    	echo "</td><td valign=\"bottom\"><u>";

    	echo ${$arrMeasResult['educ_offBasic']};

    	echo "</u></td></tr>\n";

    }



    echo "</table>";

    echo "</td></tr>\n";

}



if ($arrMeasResult['educ_offTransportText'] != '') {

    echo "<tr><td valign=\"top\"><b>$transportTitle</b></td><td valign=\"top\">";

    echo ${$arrMeasResult['educ_offTransport']};

    echo ": ";

    echo $arrMeasResult['educ_offTransportText'];

    echo "</td></tr>\n";

}



if ($arrMeasResult['educ_offDisabled'] != '') {

    echo "<tr><td valign=\"top\"><b>$disabledTitle</b></td><td valign=\"top\">";

    echo ${$arrMeasResult['educ_offDisabled']};

    echo "</td></tr>\n";

}



if ($arrMeasResult['educ_offKids'] != '') {

    echo "<tr><td valign=\"top\"><b>$kidsTitle</b></td><td valign=\"top\">";

    echo ${$arrMeasResult['educ_offKids']};

    echo "</td></tr>\n";

}



if ($arrMeasResult['educ_offAccomodation'] != '') {

    echo "<tr><td valign=\"top\"><b>$accomodationTitle</b></td><td valign=\"top\">";

    echo ${$arrMeasResult['educ_offAccomodation']};

    echo "</td></tr>\n";

}



if ($arrMeasResult['educ_offEqual'] != '') {

    echo "<tr><td valign=\"top\"><b>$eqTitle</b></td><td valign=\"top\">";

    echo ${$arrMeasResult['educ_offEqual']};

    if ($arrMeasResult['educ_offEqualText'] != '') {

    	echo ": ";

    	echo $arrMeasResult['educ_offEqualText'];

    }

    echo "</td></tr>\n";

}

echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";



echo "<tr><td colspan=\"2\" align=\"left\" style=\"font-size:11pt\"><u>$tabOrgHead</u></td></tr>";



echo "<tr><td valign=\"top\"><b>$tabOrgNameTitle</b></td><td valign=\"top\">";

echo $arrMeasResult['orgName'];

echo "</td></tr>\n";



if ($arrMeasResult['orgType'] != '') {

    echo "<tr><td valign=\"top\"><b>$orgTypeTitle</b></td><td valign=\"top\">";

    echo $arrMeasResult['orgType'];

    echo "</td></tr>\n";

}



if ($arrMeasResult['orgOfficeTime'] != '') {

    echo "<tr><td valign=\"top\"><b>$officeTime</b></td><td valign=\"top\">";

    echo $arrMeasResult['orgOfficeTime'];

    echo "</td></tr>\n";

}



if ($arrMeasResult['orgTel'] != '') {

    echo "<tr><td valign=\"top\"><b>$telefTitle</b></td><td valign=\"top\">";

    echo $arrMeasResult['orgTel'];

    echo "</td></tr>\n";

}



if ($arrMeasResult['orgFax'] != '') {

    echo "<tr><td valign=\"top\"><b>$faxTitle</b></td><td valign=\"top\">";

    echo $arrMeasResult['orgFax'];

    echo "</td></tr>\n";

}



if ($arrMeasResult['orgEmail'] != '') {

    echo "<tr><td valign=\"top\"><b>$emailTitle</b></td><td valign=\"top\">";

    echo "<a href=\"mailto:";

    echo $arrMeasResult['orgEmail'];

    echo "\">";

    echo $arrMeasResult['orgEmail'];

    echo "</a>";

    echo "</td></tr>\n";

}



if ($arrMeasResult['orgWww'] != '') {

    echo "<tr><td valign=\"top\"><b>$wwwTitle</b></td><td valign=\"top\">";

    echo "<a href=\"http://";

    echo $arrMeasResult['orgWww'];

    echo "\" target=\"_blank\">";

    echo $arrMeasResult['orgWww'];

    echo "</a>";

    echo "</td></tr>\n";

}



echo "<tr><td valign=\"top\"><b>$addrTypeTitle</b></td><td valign=\"top\">";

echo ${$arrMeasResult['addrType']};

echo "</td></tr>\n";



if ($arrMeasResult['addrPostBox'] != '') {

    echo "<tr><td valign=\"top\"><b>$postBoxTitle</b></td><td valign=\"top\">";

    echo $arrMeasResult['addrPostBox'];

    echo "</td></tr>\n";

}



if ($arrMeasResult['addrStreet'] != '') {

    echo "<tr><td valign=\"top\"><b>$streetTitle</b></td><td valign=\"top\">";

    echo $arrMeasResult['addrStreet'];

    echo "</td></tr>\n";

}



echo "<tr><td valign=\"top\"><b>$placeTitle:</b></td><td valign=\"top\">";

if ($arrMeasResult['addrPostCode'] != '') {

    echo $arrMeasResult['addrPostCode'];

    echo "&nbsp;";

}



echo $arrMeasResult['addrTown'];

echo "&nbsp;/&nbsp;";

echo ${$arrMeasResult['addrCountry']};

echo "</td></tr>\n";



echo "<tr><td colspan=\"2\">&nbsp;</td></tr>";





if ($arrMeasPersResult['persTitle'] != '' || $arrMeasPersResult['persFirstName'] != '' ||

	$arrMeasPersResult['persLastName'] ||$arrMeasPersResult['persPosition'] != '' ||

	$arrMeasPersResult['persTel'] != '' || $arrMeasPersResult['persFax'] != '' ||

	$arrMeasPersResult['persMobile'] != '' || $arrMeasPersResult['persEmail'] != '' ||

	$arrMeasPersResult['persWww'] != ''|| $arrMeasPersResult['addrPostBox'] != '' ||

	$arrMeasPersResult['addrPostCode'] != '' || $arrMeasPersResult['addrStreet'] != '' ||

	$arrMeasPersResult['addrTown'] != '' ) {



	echo "<tr><td colspan=\"2\" align=\"left\" style=\"font-size:11pt\"><u>$tabMeasPersHead</u></td></tr>\n";



    if ($arrMeasPersResult['persTitle'] != '' || $arrMeasPersResult['persFirstName'] != '' ||

        $arrMeasPersResult['persLastName'] ||$arrMeasPersResult['persPosition'] != '' ) {



        echo "<tr><td valign=\"top\"><b>$nameTitle</b></td><td valign=\"top\">";



        if ($arrMeasPersResult['persTitle'] != '') {

            echo $arrMeasPersResult['persTitle'];

            echo "&nbsp;";

        }



        if ($arrMeasPersResult['persSex'] != '') {

            echo ${$arrMeasPersResult['persSex']};

            echo "&nbsp;";

        }



        if ($arrMeasPersResult['persFirstName'] != '') {

            echo $arrMeasPersResult['persFirstName'];

            echo "&nbsp;";

        }



        if ($arrMeasPersResult['persLastName'] != '') {

            echo $arrMeasPersResult['persLastName'];

            echo "&nbsp;";

        }

        echo "</td></tr>\n";



        if ($arrMeasPersResult['persPosition'] != '') {

            echo "<tr><td valign=\"top\"><b>$tabPersPosition</b></td><td valign=\"top\">";

            echo $arrMeasPersResult['persPosition'];

            echo "</td></tr>\n";

        }

    }



    if ($arrMeasPersResult['persTel'] != '') {

        echo "<tr><td valign=\"top\"><b>$telefTitle</b></td><td valign=\"top\">";

        echo $arrMeasPersResult['persTel'];

        echo "</td></tr>\n";

    }



    if ($arrMeasPersResult['persFax'] != '') {

        echo "<tr><td valign=\"top\"><b>$faxTitle</b></td><td valign=\"top\">";

        echo $arrMeasPersResult['persFax'];

        echo "</td></tr>\n";

    }



    if ($arrMeasPersResult['persMobile'] != '') {

        echo "<tr><td valign=\"top\"><b>$mobileTitle</b></td><td valign=\"top\">";

        echo $arrMeasPersResult['persMobile'];

        echo "</td></tr>\n";

    }



    if ($arrMeasPersResult['persEmail'] != '') {

        echo "<tr><td valign=\"top\"><b>$emailTitle</b></td><td valign=\"top\">";

        echo "<a href=\"mailto:";

        echo $arrMeasPersResult['persEmail'];

        echo "\">";

        echo $arrMeasPersResult['persEmail'];

        echo "</a>";

        echo "</td></tr>\n";

    }



    if ($arrMeasPersResult['persWww'] != '') {

        echo "<tr><td valign=\"top\"><b>$wwwTitle</b></td><td valign=\"top\">";

        echo "<a href=\"http://";

        echo $arrMeasPersResult['persWww'];

        echo "\" target=\"_blank\">";

        echo $arrMeasPersResult['persWww'];

        echo "</a>";

        echo "</td></tr>\n";

    }



    if ($arrMeasPersAddrResult['addrType'] != '') {

        echo "<tr><td valign=\"top\"><b>$addrTypeTitle</b></td><td valign=\"top\">";

        echo ${$arrMeasPersAddrResult['addrType']};

        echo "</td></tr>\n";

    }



    if ($arrMeasPersAddrResult['addrPostBox'] != '') {

        echo "<tr><td valign=\"top\"><b>$postBoxTitle</b></td><td valign=\"top\">";

        echo $arrMeasPersAddrResult['addrPostBox'];

        echo "</td></tr>\n";

    }



    if ($arrMeasPersAddrResult['addrStreet'] != '') {

        echo "<tr><td valign=\"top\"><b>$streetTitle</b></td><td valign=\"top\">";

        echo $arrMeasPersAddrResult['addrStreet'];

        echo "</td></tr>\n";

    }



    if ($arrMeasPersAddrResult['addrTown'] != '') {

        echo "<tr><td valign=\"top\"><b>$placeTitle:</b></td><td valign=\"top\">";

        echo $arrMeasPersAddrResult['addrPostCode'];

        echo "&nbsp;";

        echo $arrMeasPersAddrResult['addrTown'];

        echo "&nbsp;/&nbsp;";

        echo ${$arrMeasPersAddrResult['addrCountry']};

        echo "</td></tr>\n";

    }

    echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";



}



if ($arrOrgPersResult['persTitle'] != '' || $arrOrgPersResult['persFirstName'] != '' ||

	$arrOrgPersResult['persLastName'] ||$arrOrgPersResult['persPosition'] != '' ||

	$arrOrgPersResult['persTel'] != '' || $arrOrgPersResult['persFax'] != '' ||

	$arrOrgPersResult['persMobile'] != '' || $arrOrgPersResult['persEmail'] != '' ||

	$arrOrgPersResult['persWww'] != ''|| $arrOrgPersResult['addrPostBox'] != '' ||

	$arrOrgPersResult['addrPostCode'] != '' || $arrOrgPersResult['addrStreet'] != '' ||

	$arrOrgPersResult['addrTown'] != '' ) {



    echo "<tr><td colspan=\"2\" align=\"left\" style=\"font-size:11pt\"><u>$tabOrgPersHead</u></td></tr>\n";



    if ($arrOrgPersResult['persTitle'] != '' || $arrOrgPersResult['persFirstName'] != '' ||

        $arrOrgPersResult['persLastName'] ||$arrOrgPersResult['persPosition'] != '' ) {



        echo "<tr><td valign=\"top\"><b>$nameTitle</b></td><td valign=\"top\">";



        if ($arrOrgPersResult['persTitle'] != '') {

            echo $arrOrgPersResult['persTitle'];

            echo "&nbsp;";

        }



        if ($arrOrgPersResult['persSex'] != '') {

            echo ${$arrOrgPersResult['persSex']};

            echo "&nbsp;";

        }



        if ($arrOrgPersResult['persFirstName'] != '') {

            echo $arrOrgPersResult['persFirstName'];

            echo "&nbsp;";

        }



        if ($arrOrgPersResult['persLastName'] != '') {

            echo $arrOrgPersResult['persLastName'];

            echo "&nbsp;";

        }

        echo "</td></tr>\n";



        if ($arrOrgPersResult['persPosition'] != '') {

            echo "<tr><td valign=\"top\"><b>$tabPersPosition</b></td><td valign=\"top\">";

            echo $arrOrgPersResult['persPosition'];

            echo "</td></tr>\n";

        }

    }



        if ($arrOrgPersResult['persTel'] != '') {

            echo "<tr><td valign=\"top\"><b>$telefTitle</b></td><td valign=\"top\">";

            echo $arrOrgPersResult['persTel'];

            echo "</td></tr>\n";

        }



        if ($arrOrgPersResult['persFax'] != '') {

            echo "<tr><td valign=\"top\"><b>$faxTitle</b></td><td valign=\"top\">";

            echo $arrOrgPersResult['persFax'];

            echo "</td></tr>\n";

        }



        if ($arrOrgPersResult['persMobile'] != '') {

            echo "<tr><td valign=\"top\"><b>$mobileTitle</b></td><td valign=\"top\">";

            echo $arrOrgPersResult['persMobile'];

            echo "</td></tr>\n";

        }



        if ($arrOrgPersResult['persEmail'] != '') {

            echo "<tr><td valign=\"top\"><b>$emailTitle</b></td><td valign=\"top\">";

            echo "<a href=\"mailto:";

            echo $arrOrgPersResult['persEmail'];

            echo "\">";

            echo $arrOrgPersResult['persEmail'];

            echo "</a>";

            echo "</td></tr>\n";

        }



        if ($arrOrgPersResult['persWww'] != '') {

            echo "<tr><td valign=\"top\"><b>$wwwTitle</b></td><td valign=\"top\">";

            echo "<a href=\"http://";

            echo $arrOrgPersResult['persWww'];

            echo "\" target=\"_blank\">";

            echo $arrOrgPersResult['persWww'];

            echo "</a>";

            echo "</td></tr>\n";

        }



        if ($arrOrgPersAddrResult['addrType'] != '') {

            echo "<tr><td valign=\"top\"><b>$addrTypeTitle</b></td><td valign=\"top\">";

            echo ${$arrOrgPersAddrResult['addrType']};

            echo "</td></tr>\n";

        }



        if ($arrOrgPersAddrResult['addrPostBox'] != '') {

            echo "<tr><td valign=\"top\"><b>$postBoxTitle</b></td><td valign=\"top\">";

            echo $arrOrgPersAddrResult['addrPostBox'];

            echo "</td></tr>\n";

        }



        if ($arrOrgPersAddrResult['addrStreet'] != '') {

            echo "<tr><td valign=\"top\"><b>$streetTitle</b></td><td valign=\"top\">";

            echo $arrOrgPersAddrResult['addrStreet'];

            echo "</td></tr>\n";

        }



        if ($arrOrgPersAddrResult['addrTown'] != '') {

            echo "<tr><td valign=\"top\"><b>$placeTitle:</b></td><td valign=\"top\">";

            echo $arrOrgPersAddrResult['addrPostCode'];

            echo "&nbsp;";

            echo $arrOrgPersAddrResult['addrTown'];

            echo "&nbsp;/&nbsp;";

            echo ${$arrOrgPersAddrResult['addrCountry']};

            echo "</td></tr>\n";

        }

}



?>

    <tr>

        <td align="left" colspan="2">

            <a href="javascript:siteClose()" style="color:blue"><image src="../images/close.gif" border="0">

            <b><?=$close?></b></a>&nbsp;&nbsp;&nbsp;

            <a href="javascript:sitePrint()" style="color:blue"><image src="../images/printer.gif" border="0">

            <b><?=$print?></b></a>

            <p align="left">Equal-Ostbayern GmbH Passau&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?=date("j.m.Y");?></p>



        </td>

    </tr>



    </table>



</body>

</html>

