<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// searchSimple.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript bietet dem Benutzer die Suche nach Manahmen-Orten im Bereich "Bildung und Qualifizierung".

// Das Skript ruft sich selber auf und nach erfolgreicher Prfung der Eingabefelder sendet sie weiter

// an 'resultTable.php' zum Anzeigen der Ergebnisse.

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 05.04.2004

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// Unntige Session-Variablen lschen

foreach ($_SESSION as $key => $val) {

	if ( $key != 'lang' and $key != 'area' )

		unset($_SESSION[$key]);

}



// Aktuelle Seite speichern

$_SESSION['site'] = './education/searchSimple.php';



// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';





// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================

$strQuery = "SELECT dKey, dValue FROM dictionary

			 WHERE dLang = '$strLang' AND dDomain IN ('searchEducMeasure', 'searchMeasure')";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// ============================================================================================================





// Fehler-Meldung leeren

$strError = '';



// Das Skript rief sich selber auf

if ($_POST) {

	switch (TRUE)

	{

		case trim($_POST['frmPostCode']) == '' && trim($_POST['frmTown']) == '':

			$strError = $simpleError;

			break;

		case strlen(trim($_POST['frmPostCode'])) < 2 && strlen(trim($_POST['frmTown'])) < 3:

			$strError = $lengthError;

			break;

		case ereg("[^(0-9)]", trim($_POST['frmPostCode'])):

			$strError = $postCodeError;

			break;

		case eregi("[^(a-z]", trim($_POST['frmTown'])):

			$strError = $townError;

			break;

		

		default:

			$postCode = trim($_POST['frmPostCode']); $town = trim($_POST['frmTown']);

			$words = urlencode(trim($_POST['frmWords']));

			header ("Location: ./resultTable.php?form=place&postCode=$postCode&town=$town&words=$words");

	}

}



// Wenn keine Eintrge ermittelt wurden

if ($_GET)

	$strError = ${$_GET['error']};



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/form.css');



?>



<form method="post" action="searchSimple.php">



<table align="center" border="0" width="700">

<colgroup>

   <col />

</colgroup>

    <tr>

        <td valign="top">

        	<h5 style="color: #C0C0C0"><?=$siteName?></h5>

        </td>

    </tr><tr>

		<td><a href="./search.php" style="color: blue">&lt;&lt;&lt; &nbsp;

			<?=$linkBack?></a><br /><br />

		</td>

	</tr>

    </tr><tr>

		<td>

			<dfn><?=$placeText?></dfn><br /><br />

		</td>

	</tr><tr>

		<td>



        <table width="80%" border="0">

        <colgroup>

           <col />

        </colgroup>

<?php

// Fehlermeldung ausgeben

if ( $strError != '' ) {

	echo "<tr><td style=\"color: red\" align=\"left\">";

	echo $strError;

	echo "<br /><br /></td></tr>";

}

?>

            <tr bgcolor="white">

                <td>

                

                <table width="60%">

                <tr>

                <td width="20%" valign="bottom"><b><?=$plzTitle?></b></td>

                <td width="25%" valign="bottom"><input type="text" name="frmPostCode" size="7" maxlength="6"></td>

                <td width="15%" valign="bottom"><b><?=$townTitle?></b></td>

                <td width="40%" valign="bottom"><input type="text" name="frmTown" size="39" maxlength="20"></td>

                </tr>

                </table>

                

                </td>

            </tr>

            <tr bgcolor="white">

                <td valign="top">

                

                <table width="90%">

                <tr>

                <td width="40%" valign="bottom"><b><?=$headWordTitle?></b></td>

                <td width="60%" valign="bottom"><input type="text" name="frmWords" size="39" maxlength="100"></td>

                </tr><tr>

                <td width="100%" valign="bottom" align="right" colspan="2">

                  <input type="submit" name="submit" value="<?=$submit?>" style="margin-right:40px;">

                </td>

                </tr>

                </table>

                	

                </td>

            </tr>

		    </table>

    	</td>

    </tr>

</table>



</form>



</body>

</html>

