<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// add.inc.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript sendet die eingegebenen Daten an die Datenbank.

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 06.09.2003

//

// Letzte nderung:	 26.09.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('./global.inc.php');

// ====================================================





// Variable bekommt per GET den Wert des aktuellen Bereiches

$strArea = isset ($_SESSION['area']) ? $_SESSION['area'] : '';



// Falls den Bereich nicht ermittelt wird, dann zurck - zum Anfang der Anwendung

if ( trim($strArea) == '' ) {

	session_unset();

	header ("Location: ../websites/start.php");

	exit;

}



// Den aktuellen Tabellen-Namen der Variablen $strTabName zuweisen

$strTabName = 'offers_' . $strArea;										// z.B.: 'offers_education'



// Prfix fr alle Feldnamen der Tabelle der Variablen $strPraefix zuweisen

$strPraefix = substr ($strArea, 0, 4) . '_';							// z.B.: 'educ_' bzw. 'coun_'





// Die Funktion mysql_pconnect() baut eine feste Verbindung zu MySQL-Server auf

$link = @mysql_connect( 'XXXXX', 'XXXXX', 'XXXXX' );

if ( !$link )

	die( 'Es konnte keine Verbindung zu MySQL-Server hergestellt werden' );		// die() beendet das Script



// Datenbank auswhlen

$database = 'XXXXX';

@mysql_select_db( $database, $link )

	or die( 'Es konnte keine Verbindung zur Datenbank hergestellt werden' );





// ===========================================================================================================

// * Die Schleife durchsucht smtliche Session-Variablen, welche fr die Datenbank erforderlich sind. 		 *

// * Die gefundenen zusammengehrenden Valuee werden jeweils in einer bestimmten String-Variablen gespeichert *

// ===========================================================================================================



foreach ( $_SESSION as $key => $value )

{

	switch (TRUE)



	{

	// Session-Variablen mit dem Prfix 'off' auf ersten drei Zeichen

	case strpos ( $key, "off" ) ===	 0:				// "off..."



        // Angaben zur Person fr die Manahme ("off_pers...")

        if (strpos ( $key, "pers" ) === 4)

        {

            $strKey = substr ($key, 4);

            $strOffPersKey .= ", $strKey";			// z.B. ", persTitle" - Feldname der DB-Tabelle

            $strOffPersValue .= ", '$value'";		// z.B. ", 'Doktor'"	- Feldeintrag



        // Anschrift-Angaben zur Person fr die Manahme ("off_addr...")

        } elseif (strpos ( $key, "addr" ) === 4){

            $strKey = substr ($key, 4);

            $strOffPersAddrKey .= ", $strKey";		// z.B. ", addrTown"

            $strOffPersAddrValue .= ", '$value'";	// z.B. ", 'Mnchen'"



		// Angaben zur Manahme (z.B "offTitle")

		} else {

            $strOffKey .= ", ".$strPraefix.$key;	// z.B. => ", educ_offTitle"

            if ( ereg ( "ID", $key ) )				// ID -Tab.Felder

                $strOffValue .= ", $value";			// z.B. ", 9"

            else

                $strOffValue .= ", '$value'";		// z.B. ", 'Englisch fr Anfnger'"

        }



		break;



	// Session-Variablen mit dem Prfix 'addr' auf ersten vier Zeichen - Anschrift-Angaben des Trgers ("addr...")

	case strpos ( $key, "addr" ) === 0:

		$strOrgAddrKey .= ", $key";					// z.B. ", addrTown"

		$strOrgAddrValue .= ", '$value'";			// z.B. ", 'Mnchen'"

		break;



	// Session-Variablen mit dem Prfix 'org'  auf ersten drei Zeichen - Angaben zur Person des Trgers ("org...")

	case strpos ( $key, "org" ) === 0:

		// "org_pers..." - Feldname fr Person der Trgers

		if (strpos ( $key, "pers" ) === 4)

		{

            $strKey = substr ($key, 4);				// "pers..."

            $strOrgPersKey .= ", $strKey";			// z.B. ", persTitle"

            $strOrgPersValue .= ", '$value'";		// z.B. ", 'Professor'"



		// Anschrift-Angaben zur Person des Trgers	("org_addr...")

		} elseif (strpos ( $key, "addr" ) === 4) {

            $strKey = substr ($key, 4);				// "addr..."

            $strOrgPersAddrKey .= ", $strKey";		// z.B. ", addrTown"

            $strOrgPersAddrValue .= ", '$value'";	// z.B. ", 'Passau'"



        // Angaben zum Trger (org...)

        } else {

            $strOrgKey .= ", $key";					// z.B. ", orgName"

            $strOrgValue .= ", '$value'";			// z.B. ", 'Volkshochschule Passau'"



        }

		break;



	// Session-Variablen mit dem Prfix 'meas' - Angaben zur Manahme ("meas...")

	case strpos ( $key, "meas" ) === 0:



		if ( strpos ($key, "Check") )				// Diese Valuee mssen nicht in die DB eingetragen werden

			break;

		// Adresse der Manahme ("meas_addr...")

		if (strpos ( $key, "addr" ) === 5)

		{

            $strKey = substr ($key, 5);				// "addr..."

            $strMeasAddrKey .= ", $strKey";			// z.B. ", addrTown"

            $strMeasAddrValue .= ", '$value'";		// z.B. ", 'Mnchen'"

        // Detaillierte Angaben zur Manahme ("meas_off...")

        } else {

            $strKey = substr ($key, 5);				// "off..."

            $strKey = $strPraefix.$strKey;			// z.B. "educ_offTransport"



            $strMeasKey .= ", $strKey";

            $strMeasValue .= ", '$value'";

        }

		break;

	}

}



// *** Detaillierte Manahmen-Daten werden zu den einfachen Angaben angehngt *** //

$strOffKey .= $strMeasKey;

$strOffValue .= $strMeasValue;



// ===========================================================================================================





// ===========================================================================================================

// *  		 			  ********************************************************							 *

// *							Datenstze in die Datenbank-Tabellen schreiben							 	 *

// *  		 			  ********************************************************							 *

// ===========================================================================================================



// Die folgenden Variablen fr Primary Keys werden mit 'NULL' versehen

$strOrgAddrID = 'NULL';			// 	ID der Anschrift des Trgers

$strOrgPersAddrID = 'NULL';		//	ID der Anschrift der Kontaktperson des Trgers

$strOffPersAddrID = 'NULL';		//	ID der Anschrift der Kontaktperson fr die Manahme

$strMeasAddrID = 'NULL';		//	ID der Anschrift der Manahme

$strOrgPersID = 'NULL';			//	ID der Kontaktperson des Trgers

$strOffPersID = 'NULL';			//	ID der Kontaktperson fr die Manahme

$strOrgID = 'NULL';				//	ID des Trgers

$strOffID = 'NULL';				//	ID der Manahme



// ----------------------------------------------------------------------------

// * 							Anschrift des Trgers 				  		  *

// ----------------------------------------------------------------------------

if ( trim($strOrgAddrKey) != '' and trim($strOrgAddrValue) != '' )

{

    // Die ersten zwei Zeichen entfernen (Komma und Blank)

    $strOrgAddrKey = substr ($strOrgAddrKey, 2);

    $strOrgAddrValue = substr ($strOrgAddrValue, 2);



    $anfrage = "INSERT INTO addresses ($strOrgAddrKey) values ($strOrgAddrValue)";

    mysql_query( $anfrage, $link )

        or die ("$strOrgAddrValue => Der Datensatz konnte nicht hinzugefgt werden");



    $strOrgAddrID = mysql_insert_id();			// Die ID des eingetragenen Datensatzes lokal speichern

}



if ( $strOrgAddrID === 'NULL' ) {

	echo "Der Datensatz konnte nicht hinzugefgt werden";

	exit;

}



// ----------------------------------------------------------------------------

// * 						Anschrift der Trgers-Person 				  	  *

// ----------------------------------------------------------------------------

if ( trim($strOrgPersAddrKey) != '' and trim($strOrgPersAddrValue) != '' )

{

    // Die ersten zwei Zeichen entfernen (Komma und Blank)

    $strOrgPersAddrKey = substr ($strOrgPersAddrKey, 2);

    $strOrgPersAddrValue = substr ($strOrgPersAddrValue, 2);



    $anfrage = "INSERT INTO addresses ($strOrgPersAddrKey) values ($strOrgPersAddrValue)";

    mysql_query( $anfrage, $link )

        or die ("$strOrgPersAddrValue => Der Datensatz konnte nicht hinzugefgt werden");



    $strOrgPersAddrID = mysql_insert_id();		// Die ID des eingetragenen Datensatzes lokal speichern

}





// ----------------------------------------------------------------------------

// * 					Anschrift der Person fr die Manahme			  	  *

// ----------------------------------------------------------------------------

if ( trim($strOffPersAddrKey) != '' and trim($strOffPersAddrValue) != '' )

{

    // Die ersten zwei Zeichen entfernen (Komma und Blank)

    $strOffPersAddrKey = substr ($strOffPersAddrKey, 2);

    $strOffPersAddrValue = substr ($strOffPersAddrValue, 2);



    $anfrage = "INSERT INTO addresses ($strOffPersAddrKey) values ($strOffPersAddrValue)";

    mysql_query( $anfrage, $link )

        or die ("$strOffPersAddrValue => Der Datensatz konnte nicht hinzugefgt werden");



    $strOffPersAddrID = mysql_insert_id();		// Die ID des eingetragenen Datensatzes lokal speichern

}



// ----------------------------------------------------------------------------

// * 							Ort der Manahme			  				  *

// ----------------------------------------------------------------------------

if ( trim($strMeasAddrKey) != '' and trim($strMeasAddrValue) != '' )

{

    // Die ersten zwei Zeichen entfernen (Komma und Blank)

    $strMeasAddrKey = substr ($strMeasAddrKey, 2);

    $strMeasAddrValue = substr ($strMeasAddrValue, 2);



    $anfrage = "INSERT INTO addresses ($strMeasAddrKey) values ($strMeasAddrValue)";

    mysql_query( $anfrage, $link )

        or die ("$strMeasAddrValue => Der Datensatz konnte nicht hinzugefgt werden");



    $strMeasAddrID = mysql_insert_id();			// Die ID des eingetragenen Datensatzes lokal speichern

}



// ----------------------------------------------------------------------------

// * 							Angaben zur Trgers-Person			  		  *

// ----------------------------------------------------------------------------

if ( trim($strOrgPersKey) != '' and trim($strOrgPersValue) != '' )

{

    // Die ersten zwei Zeichen entfernen (Komma und Blank)

    $strOrgPersKey = substr ($strOrgPersKey, 2);

    $strOrgPersValue = substr ($strOrgPersValue, 2);

    // ID der Anschrift der Person am Ende des Strings hinzufgen

    if ( $strOrgPersAddrID !== 'NULL' ) {

    	$strOrgPersKey .= ', persAddrID';

    	$strOrgPersValue .= ", $strOrgPersAddrID";

    }



    $anfrage = "INSERT INTO persons ($strOrgPersKey) values ($strOrgPersValue)";

    mysql_query( $anfrage, $link )

        or die ("$strOrgPersValue => Der Datensatz konnte nicht hinzugefgt werden");



    $strOrgPersID = mysql_insert_id();			// Die ID des eingetragenen Datensatzes lokal speichern

}



// ----------------------------------------------------------------------------

// * 					Angaben zur Person fr die Manahme		 	 		  *

// ----------------------------------------------------------------------------

if ( trim($strOffPersKey) != '' and trim($strOffPersValue) != '' )

{

    // Die ersten zwei Zeichen entfernen (Komma und Blank)

    $strOffPersKey = substr ($strOffPersKey, 2);

    $strOffPersValue = substr ($strOffPersValue, 2);

    // ID der Anschrift der Person am Ende des Strings hinzufgen

    if ( $strOffPersAddrID !== 'NULL' ) {

    	$strOffPersKey .= ', persAddrID';

    	$strOffPersValue .= ", $strOffPersAddrID";

    }



    $anfrage = "INSERT INTO persons ($strOffPersKey) values ($strOffPersValue)";

    mysql_query( $anfrage, $link )

        or die ("$strOffPersValue => Der Datensatz konnte nicht hinzugefgt werden");



    $strOffPersID = mysql_insert_id();			// Die ID des eingetragenen Datensatzes lokal speichern

}



// ----------------------------------------------------------------------------

// * 							Angaben zum Trger		  					  *

// ----------------------------------------------------------------------------

if ( trim($strOrgKey) != '' and trim($strOrgValue) != '' )

{

    // Die ersten zwei Zeichen entfernen (Komma und Blank)

    $strOrgKey = substr ($strOrgKey, 2);

    $strOrgValue = substr ($strOrgValue, 2);

    // ID der Person und ID der Anschrift des Trgers am Ende des Strings hinzufgen

    $strOrgKey .= ', orgPersID, orgAddrID';

    $strOrgValue .= ", $strOrgPersID, $strOrgAddrID";



    $anfrage = "INSERT INTO organiser ($strOrgKey) values ($strOrgValue)";

    mysql_query( $anfrage, $link )

        or die ("$strOrgKey: $strOrgValue => Der Datensatz konnte nicht hinzugefgt werden");



    $strOrgID = mysql_insert_id();				// Die ID des eingetragenen Datensatzes lokal speichern

    $_SESSION['orgID'] = $strOrgID;

}



// ----------------------------------------------------------------------------

// * 				Einfache und detaillierte Angaben zur Manahme		  	  *

// ----------------------------------------------------------------------------

if ( trim($strOffKey) != '' and trim($strOffValue) != '' )

{

    // Datum des Eintrages am Anfang des Strings hinzufgen

    $strOffKey = $strPraefix.'offEntryDate' . $strOffKey;

    $strOffValue = 'NOW()' . $strOffValue;

    // ID des Trgers, ID der Person fr die Manahme und ID der Anschrift der Manahme hinzufgen

    $strOffKey .= ', '.$strPraefix.'offOrgID, '.$strPraefix.'offPersID, '.$strPraefix.'offAddrID';

    $strOffValue .= ", $strOrgID, $strOffPersID, $strMeasAddrID";



    $anfrage = "INSERT INTO $strTabName ($strOffKey) values ($strOffValue)";

    mysql_query( $anfrage, $link )

        or die ("$strOffValue => Der Datensatz konnte nicht hinzugefgt werden");

}



// ===========================================================================================================





// Unntige Session-Variablen lschen

foreach ($_SESSION as $key => $val) {

	if ( ($key != 'area') AND ($key != 'lang') AND (strpos($key, "orgID") !== 0) )

		unset ($_SESSION[$key]);

}



// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';



// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================



$strQuery = "SELECT dKey, dValue FROM dictionary WHERE dLang = '$strLang' AND dDomain = 'add'";



// ---------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ---------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// =====================================================================================================================



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/main.css');



?>



<table align="center" border="0" width="700">

<colgroup>

   <col />

</colgroup>

    <tr>

        <td valign="top">

        	<p>

            <?=$text?>&nbsp;&nbsp;&nbsp;

            <a href="../<?=$strArea?>/newMeasQuickForm.php"><?=$linkForm?></a>

            </p>

        </td>

    </tr>

</table>



</body>

</html>

