# phpMyAdmin MySQL-Dump
# version 2.2.6
# http://phpwizard.net/phpMyAdmin/
# http://www.phpmyadmin.net/ (download page)
#
# Host: localhost
# Erstellungszeit: 16. Januar 2004 um 08:12
# Server Version: 3.23.44
# PHP-Version: 4.3.3
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `addresses`
#

DROP TABLE IF EXISTS addresses;
CREATE TABLE addresses (
  addrID int(10) unsigned NOT NULL auto_increment,
  addrType enum('priv','priv_job','job_letter','job_postal') default NULL,
  addrStreet varchar(100) default NULL,
  addrPostBox varchar(10) default NULL,
  addrPostCode varchar(10) default NULL,
  addrTown varchar(50) NOT NULL default '',
  addrCountry enum('de','en','it') NOT NULL default 'de',
  PRIMARY KEY  (addrID)
) TYPE=MyISAM COMMENT='Tabelle der Adressen von Trgers/Kontaktpersonen';


#
# Tabellenstruktur fr Tabelle `dictionary`
#

DROP TABLE IF EXISTS dictionary;
CREATE TABLE dictionary (
  dID int(10) unsigned NOT NULL auto_increment,
  dLang enum('de','en','it') NOT NULL default 'de',
  dDomain varchar(255) NOT NULL default '',
  dKey varchar(255) NOT NULL default '',
  dValue text NOT NULL,
  PRIMARY KEY  (dID)
) TYPE=MyISAM;

#
# Tabellenstruktur fr Tabelle `offers_counselling`
#

DROP TABLE IF EXISTS offers_counselling;
CREATE TABLE offers_counselling (
  coun_offID int(10) unsigned NOT NULL auto_increment,
  coun_offEntryDate datetime NOT NULL default '0000-00-00 00:00:00',
  coun_offStatus enum('yes','no','new') NOT NULL default 'no',
  coun_offTitle varchar(255) NOT NULL default '',
  coun_offTerm enum('concrete','expected','limitless') default NULL,
  coun_offTermDate date default '0000-00-00',
  coun_offTopicID1 int(10) unsigned default NULL,
  coun_offTopicID2 int(10) unsigned default NULL,
  coun_offTopicID3 int(10) unsigned default NULL,
  coun_offTopic4 varchar(100) default NULL,
  coun_offTypeID1 int(10) unsigned default NULL,
  coun_offTypeID2 int(10) unsigned default NULL,
  coun_offTypeID3 int(10) unsigned default NULL,
  coun_offType4 varchar(100) default NULL,
  coun_offDescr text,
  coun_offOrgID int(10) unsigned NOT NULL default '0',
  coun_offPersID int(10) unsigned default NULL,
  coun_offAddrID int(10) unsigned default NULL,
  coun_offTermFrom date default '0000-00-00',
  coun_offTermTill date default '0000-00-00',
  coun_offTime varchar(200) default NULL,
  coun_offInfoMaterialien varchar(200) default NULL,
  coun_offWebText varchar(200) default NULL,
  coun_offOtherText varchar(200) default NULL,
  coun_offCostDuty enum('yes','no','possibly') default NULL,
  coun_offCostSum varchar(50) default NULL,
  coun_offCostText text,
  coun_offDisabled enum('yes','no') default NULL,
  coun_offKids enum('yes','no','possible') default NULL,
  coun_offAccomodation enum('yes','no','possible') default NULL,
  coun_offEqual enum('yes','no') default NULL,
  coun_offEqualText text,
  PRIMARY KEY  (coun_offID)
) TYPE=MyISAM COMMENT='Tabelle der Angeboten/Manahmen';


#
# Tabellenstruktur fr Tabelle `offers_education`
#

DROP TABLE IF EXISTS offers_education;
CREATE TABLE offers_education (
  educ_offID int(10) unsigned NOT NULL auto_increment,
  educ_offEntryDate datetime NOT NULL default '0000-00-00 00:00:00',
  educ_offStatus enum('yes','no','new') NOT NULL default 'no',
  educ_offTitle varchar(255) NOT NULL default '',
  educ_offTerm enum('concrete','expected','limitless') default NULL,
  educ_offTermDate date default '0000-00-00',
  educ_offTopicID1 int(10) unsigned default NULL,
  educ_offTopicID2 int(10) unsigned default NULL,
  educ_offTopicID3 int(10) unsigned default NULL,
  educ_offTopic4 varchar(100) default NULL,
  educ_offSector varchar(100) default NULL,
  educ_offTypeID1 int(10) unsigned default NULL,
  educ_offTypeID2 int(10) unsigned default NULL,
  educ_offTypeID3 int(10) unsigned default NULL,
  educ_offType4 varchar(100) default NULL,
  educ_offDescr text,
  educ_offOrgID int(10) unsigned NOT NULL default '0',
  educ_offPersID int(10) unsigned default NULL,
  educ_offAddrID int(10) unsigned default NULL,
  educ_offFullTime enum('fullTime','partTime','byTheHour','byTheDay') default NULL,
  educ_offTeleJob enum('yes','no') default NULL,
  educ_offTeleJobText varchar(255) default NULL,
  educ_offTermFrom date default '0000-00-00',
  educ_offTermTill date default '0000-00-00',
  educ_offTime varchar(200) default NULL,
  educ_offInfoMaterialien varchar(200) default NULL,
  educ_offWebText varchar(200) default NULL,
  educ_offOtherText varchar(200) default NULL,
  educ_offCostDuty enum('yes','no','possibly') default NULL,
  educ_offCostSum varchar(50) default NULL,
  educ_offCostText text,
  educ_offCondition text,
  educ_offLang enum('little','good','veryGood') default NULL,
  educ_offLangText varchar(100) default NULL,
  educ_offSchool enum('required','advantageous') default NULL,
  educ_offSchoolText varchar(100) default NULL,
  educ_offJob enum('required','advantageous') default NULL,
  educ_offJobText varchar(100) default NULL,
  educ_offBasic enum('required','advantageous') default NULL,
  educ_offBasicText varchar(100) default NULL,
  educ_offTransport enum('bad','sufficient','good') default NULL,
  educ_offTransportText text,
  educ_offDisabled enum('yes','no') default NULL,
  educ_offKids enum('yes','no','possible') default NULL,
  educ_offAccomodation enum('yes','no','possible') default NULL,
  educ_offEqual enum('yes','no') default NULL,
  educ_offEqualText text,
  PRIMARY KEY  (educ_offID)
) TYPE=MyISAM COMMENT='Tabelle der Angeboten/Manahmen';

#
# Tabellenstruktur fr Tabelle `organiser`
#

DROP TABLE IF EXISTS organiser;
CREATE TABLE organiser (
  orgID int(10) unsigned NOT NULL auto_increment,
  orgName varchar(100) NOT NULL default '',
  orgType varchar(100) default NULL,
  orgOfficeTime text,
  orgTel varchar(50) default NULL,
  orgFax varchar(50) default NULL,
  orgEmail varchar(255) default NULL,
  orgWww varchar(255) default NULL,
  orgPersID int(10) unsigned default NULL,
  orgAddrID int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (orgID)
) TYPE=MyISAM;


#
# Tabellenstruktur fr Tabelle `persons`
#

DROP TABLE IF EXISTS persons;
CREATE TABLE persons (
  persID int(10) unsigned NOT NULL auto_increment,
  persTitle varchar(50) default NULL,
  persSex enum('male','female','---') default NULL,
  persFirstName varchar(50) default NULL,
  persLastName varchar(50) default NULL,
  persPosition varchar(50) default NULL,
  persTel varchar(50) default NULL,
  persFax varchar(50) default NULL,
  persMobile varchar(50) default NULL,
  persEmail varchar(255) default NULL,
  persWww varchar(255) default NULL,
  persDescr text,
  persAddrID int(10) unsigned default NULL,
  PRIMARY KEY  (persID)
) TYPE=MyISAM COMMENT='Tabelle der Kontakt-Personen des Trgers ';


#
# Tabellenstruktur fr Tabelle `topics`
#

DROP TABLE IF EXISTS topics;
CREATE TABLE topics (
  topicID int(10) unsigned NOT NULL auto_increment,
  topicLang enum('de','en','it') NOT NULL default 'de',
  topicList enum('topic','kind') NOT NULL default 'topic',
  topicDomain enum('education','counselling') NOT NULL default 'education',
  topicTitle varchar(255) NOT NULL default '',
  PRIMARY KEY  (topicID)
) TYPE=MyISAM;



#
# Tabellenstruktur fr Tabelle `wordindex`
#

DROP TABLE IF EXISTS wordindex;
CREATE TABLE wordindex (
  wWord varchar(50) NOT NULL default '',
  wTarget varchar(50) NOT NULL default '',
  wEntryID int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (wWord,wTarget,wEntryID)
) TYPE=MyISAM;



