<?php



////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// links.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript gibt Links zu anderen Datenbanken aus.

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php; rodin/include/connect.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 11.09.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// ============================================================================================

// * Zuerst werden unntige Session-Variablen auer der Sprache (S_SESSION['lang']) entfernt  *

// ============================================================================================

foreach ($_SESSION as $key => $val) {

	if ( $key != 'lang' )

		unset ($_SESSION[$key]);

}

// ============================================================================================





// Aktuelle Seite festlegen

$_SESSION['site'] = './websites/links.php';





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';





// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================

$strQuery = "SELECT dKey, dValue FROM dictionary WHERE dLang = '$strLang' AND dDomain = 'links'";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// ============================================================================================================



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/main.css');



// =====================================================================================

// *    connect.inc.php erzeugt das Gerst auf der Web-Site fr eingebundenen Texten   *

// =====================================================================================



include ('../include/connect.inc.php');

// =====================================================================================



?>



</body>

</html>

