<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// allEntryShow.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript zeigt dem Benutzer die ermittelte Angebote im Bereich "Beratung und Hilfestellung".

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 20.12.2003

//

// Letzte nderung:	 05.01.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// Beim Sortieren der Eintrage (Skript ruft sich selber auf)

if ($_GET['order'])

{

	if ($_GET['order'] == 'coun_offEntryDate')

		$strOrder = $_GET['order'].' DESC';

	else

		$strOrder = $_GET['order'];

} else {

	$strOrder = 'coun_offEntryDate DESC';

}

// ========================================================



// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';



// Anzahl smtlicher Eintrge

$intNumber = $_SESSION['number'] = isset($_GET['number']) ? $_GET['number'] : $_SESSION['number'];



// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================

$strQuery = "SELECT dKey, dValue FROM dictionary

			 WHERE dLang = '$strLang' AND dDomain IN ('allEntry', 'allEntryCouns', 'resultShow')";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// ============================================================================================================





// Erforderliche Daten aus der Datenbank abrufen und in einem Array speichern ================================

$strQuery = "SELECT coun_offID, DATE_FORMAT(LEFT(coun_offEntryDate, 10), '%d.%m.%Y') AS measDate,

                    coun_offTitle, coun_offAddrID, coun_offOrgID, orgName, addrTown

                    FROM offers_counselling, organiser, addresses

                    WHERE coun_offStatus = 'yes' AND coun_offOrgID = orgID AND orgAddrID = addrID

                    ORDER BY $strOrder";



$result = mysql_query($strQuery);

$i = 0;

// Resultat von SQL-Abfrage in dem Array speichern

while ($line = mysql_fetch_array($result, MYSQL_ASSOC))

{

    $i++;

    foreach ( $line as $key => $val ) {

        $arrMeasResult[$i][$key] = $val;

    }

}

// ============================================================================================================



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/resTables.css');



?>



<table align="center" border="0" width="700">

<colgroup>

   <col />

</colgroup>

    <tr>

        <td valign="top">

        	<h5 style="color: #C0C0C0"><?=$siteName.'<u> ('.$intNumber.')</u>'?></h5>

        </td>

    </tr><tr>

		<td><a href="./search.php" style="color: blue">&lt;&lt;&lt; &nbsp;

			<?=$linkBack?></a><br /><br />

		</td>

	</tr><tr>

		<td>

			<dfn><?=$text?></dfn><br /><br />

		</td>

	</tr><tr>

		<td>

            <table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#C0C0C0" align="center">

            <colgroup>

               <col width="35%" />

               <col width="13%" />

               <col width="20%" />

               <col width="32%" />

            </colgroup>

                <th bgcolor="#EEEEEE" valign="top">

                	<a href="./allEntryShow.php?order=coun_offTitle" style="color:blue"><?=$measTitle?></a>

                </th>

                <th bgcolor="#EEEEEE" valign="top">

                	<a href="./allEntryShow.php?order=coun_offEntryDate" style="color:blue"><?=$dateTitle?></a>

                </th>

                <th bgcolor="#EEEEEE" valign="top">

	                <a href="./allEntryShow.php?order=addrTown" style="color:blue"><?=$placeTitle?></a>

                </th>

                <th bgcolor="#EEEEEE" valign="top">

                	<a href="./allEntryShow.php?order=orgName" style="color:blue"><?=$orgTitle?></a>

                </th>

<?php

// Ermittelte Eintrge ausgeben

for ($y=1;$y<=$i;$y++) {

	if ( !fmod($y, 2) )

		$color = '#EEEEEE';

	else

		$color = 'white';



	echo "<tr><td bgcolor=\"$color\"><a href=\"./resultPage.php?id=";

	echo $arrMeasResult[$y]['coun_offID'];

	echo "\" target=\"_blank\">";

	echo $arrMeasResult[$y]['coun_offTitle'];

	echo "</a></td><td bgcolor=\"$color\" align=\"center\">";

	echo $arrMeasResult[$y]['measDate'];

	echo "</td><td bgcolor=\"$color\" align=\"center\">";

	echo $arrMeasResult[$y]['addrTown'];

	echo "</td><td bgcolor=\"$color\"><a href=\"./resultPage.php?id=";

	echo $arrMeasResult[$y]['coun_offID'];

	echo "\" target=\"_blank\">";

	echo $arrMeasResult[$y]['orgName'];

	echo "</a></td></tr>\n";

}



?>

			</table>

		</td>

	</tr>

</table>



</body>

</html>

