<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// newMeasDetailFormConf.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript erzeugt die eingegebenen vom Benutzer detaillierten Formulardaten zur Besttigung.

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.php; rodin/include/mySQL.inc.php; rodin/include/detailFormCheck.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 28.10.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// Aktuelle Seite festlegen

$_SESSION['site'] = './counselling/newMeasDetailFormConf.php';





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';





// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================



$strQuery = "SELECT dKey, dValue FROM dictionary

			WHERE dLang = '$strLang' AND dDomain IN ('general', 'detailForm', 'detailFormConfirm',

													 'counsDetailForm', 'formular', 'counsNewMeas')";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// =====================================================================================================================





// ============================================================================

// * 		Das Skript bearbeitet ind berprft die Benutzereingaben		  *

// ============================================================================



include ('../include/newMeasDetailFormCheck.inc.php');

// ============================================================================



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/form.css');



?>



<a name="oben"></a>



<table align="center" border="0" width="700">

<colgroup>

    <col />

</colgroup>



	<tr><td><h5 style="color: #C0C0C0"><?=$siteName?></h5>

	<h3 align="center"><?=$greetingRegistered?></h3>

	</td></tr>

</table>



<table align="center" border="0" width="700">

<colgroup>

    <col width="50%" span="2" />

</colgroup>

    <tr>

        <td colspan="2">

            <br /><a href="./newMeasDetailForm.php" style="color:blue">&lt;&lt;&lt; &nbsp;<?=$linkBack?></a>

        </td>

    </tr>



	<tr>

    	<td align="left" style="color: red" colspan="2"><br /><?=$checkText?></td>

    </tr>



<?php



// =====================================================================================================================

// *									**********************************											   *

// *											 Einfache Angaben 							  						   *

// *									**********************************											   *

// =====================================================================================================================



?>



	<tr>

        <td colspan="2"><br />

            <table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#C0C0C0" align="center"

                 style="color: darkblue">

            <colgroup>

                <col width="25%" />

                <col width="75%" />

            </colgroup>

                <tr bgcolor="#EEEEEE">

                    <td align="center" colspan="2">

                        <a href="#senden"><img src="../images/down.gif" border="0"

                        				 	align="left" width="14" height="10"></a><b><?=$tabMeasHead?></b>

                    </td>

                </tr>

                <tr bgcolor="white">

                    <td><b><?=$tabMeasTitle?></b></td>

                    <td><i><?=$_SESSION['offTitle']?></i></td>

                </tr>



                <tr bgcolor="white">

                    <td><b><?=$termTitle?></b></td>

                    <td><i>

<?php



if ( $_SESSION['offTerm'] == 'concrete' OR $_SESSION['offTerm'] == 'expected' )

	echo ${$_SESSION['offTerm']}.' '.$till.' '.$_SESSION['date'];

elseif ( $_SESSION['offTerm'] == 'limitless' )

	echo ${$_SESSION['offTerm']};



?>

					</i></td>

                </tr>

<?php

//Dauer des Angebots

if( $_SESSION['beginDate'] || $_SESSION['endDate'] )



{

    echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$term</b></td>\n";



    echo "<td valign=\"top\">\n<table width=\"100%\" border=\"0\">

          \n<colgroup>\n<col width=\"20%\" />\n<col width=\"80%\" />\n</colgroup>\n";



	if ($_SESSION['beginDate']) {



		echo "<tr><td>$begin</td>\n<td><i>";

	    if ( $_SESSION['offTermBegin'] != '' )

	    	echo ${$_SESSION['offTermBegin']}, " ", $at, " ";



		echo $_SESSION['beginDate'];

    	echo "</i></td></tr>\n";

	}



    if ($_SESSION['endDate']) {

	    echo "<tr><td>$end</td>\n<td><i>";

		if ( $_SESSION['offTermEnd'] )

		    echo ${$_SESSION['offTermEnd']}, " ", $at, " ";



		echo $_SESSION['endDate'];

	    echo "</i></td></tr>";

	}



	echo "</table>\n</td></tr>";

}

?>

                <tr bgcolor="white">

                    <td valign="top"><b><?=$tabMeasThema?></b></td>

                    <td valign="top"><i>



<?php

// Thematische Schwerpunkte

if ( $_SESSION['topic1'] ) {

    echo $_SESSION['topic1'];

    echo "<br />";

}



if ( $_SESSION['topic2'] ) {

    echo $_SESSION['topic2'];

    echo "<br />";

}



if ( $_SESSION['topic3'] ) {

    echo $_SESSION['topic3'];

    echo "<br />";

}



if ( $_SESSION['offTopic4'] )

    echo $_SESSION['offTopic4'];



?>



                    </i></td>

                </tr>



<?php



if ( isset($_SESSION['type1']) OR isset($_SESSION['type2']) OR isset($_SESSION['type3'])

	 OR isset($_SESSION['offType4']) ) {



 	echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\">\n<b>$measTypeTitle</b>\n</td><td><i>";



 	if ( $_SESSION['type1'] ) {

 		 echo $_SESSION['type1'];

 		 echo "<br />\n";

 	}

 	if ( $_SESSION['type2'] ) {

 		 echo $_SESSION['type2'];

 		 echo "<br />\n";

 	}

 	if ( $_SESSION['type3'] ) {

 		 echo $_SESSION['type3'];

 		 echo "<br />\n";

 	}

 	if ( $_SESSION['offType4'] )

 		 echo $_SESSION['offType4'];



 	echo "\n</i></td></tr>";

}



if ( $_SESSION['offDescr'] ) {

  	echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\">\n<b>$tabMeasDescr</b>\n</td>\n<td valign=\"top\"><i>";

  	echo $_SESSION['offDescr'];

  	echo "</i></td>\n</tr>";

}



?>



                <tr bgcolor="#EEEEEE">

                    <td align="center" colspan="2">

                        <a href="#senden"><img src="../images/down.gif" border="0"

                        						align="left" width="14" height="10"></a><b><?=$tabOrgHead?></b>

                    </td>

                </tr>

                <tr bgcolor="white">

                    <td><b><?=$tabOrgNameTitle?></b></td>

                    <td><i><?=$_SESSION['orgName']?></i></td>

                </tr>



<?php



if( $_SESSION['orgType'] ) {

	echo    "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$orgTypeTitle</b></td>\n<td><i>";

	echo $_SESSION['orgType'];

	echo "</i></td>\n</tr>\n";

}



if( $_SESSION['orgOfficeTime'] ) {

	echo    "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$officeTime</b></td>\n<td><i>";

	echo $_SESSION['orgOfficeTime'];

	echo "</i></td>\n</tr>\n";

}



echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$addrTitle</b></td>\n";

echo "<td valign=\"top\">\n<table width=\"100%\" border=\"0\">\n<colgroup>\n<col width=\"20%\" />\n

     	<col width=\"80%\" />\n</colgroup>\n";



echo "<tr><td>$type</td>\n<td><i>";

echo ${$_SESSION['addrType']};

echo "</i></td></tr>\n";



if( $_SESSION['addrStreet'] ) {

	echo "<tr><td>$streetTitle</td>\n<td><i>";

	echo $_SESSION['addrStreet'];

	echo "</i></td></tr>\n";

}



if( $_SESSION['addrPostBox'] ) {

	echo "<tr><td>$postBoxTitle</td>\n<td><i>";

	echo $_SESSION['addrPostBox'];

	echo "</i></td></tr>\n";

}



echo "<tr><td>$townTitle$town</td>\n<td><i>";

echo $_SESSION['addrPostCode'];

echo "&nbsp;&nbsp;";

echo $_SESSION['addrTown'];

echo "</i></td></tr>\n";

echo "<tr><td>$countryTitle</td>\n<td><i>";

echo ${$_SESSION['addrCountry']};

echo "</i></td></tr>\n</table>\n</td></tr>";





if ( isset($_SESSION['orgTel']) or isset($_SESSION['orgFax'])

     or isset($_SESSION['orgEmail']) or isset($_SESSION['orgWww']) )



{



    echo    "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$communicationTitle</b></td>\n";



    echo    "<td valign=\"top\">\n<table width=\"100%\" border=\"0\">

             \n<colgroup>\n<col width=\"20%\" />\n<col width=\"80%\" />\n</colgroup>\n";



	if( $_SESSION['orgTel'] ) {

		echo "<tr><td>$telefTitle</td>\n<td><i>";

		echo $_SESSION['orgTel'];

		echo "</i></td></tr>\n";

	}



	if( $_SESSION['orgFax'] ) {

		echo "<tr><td>$faxTitle</td>\n<td><i>";

		echo $_SESSION['orgFax'];

		echo "</i></td></tr>\n";

	}



	if( $_SESSION['orgEmail'] ) {

		echo "<tr><td>$emailTitle</td>\n<td><i>";

		echo $_SESSION['orgEmail'];

		echo "</i></td></tr>\n";

	}



	if( $_SESSION['orgWww'] ) {

		echo "<tr><td>$wwwTitle</td>\n<td><i>";

		echo $_SESSION['orgWww'];

		echo "</i></td></tr>\n";

	}



	echo	"</table>\n";



}



?>

    	</td>

    </tr>



<?php



// =====================================================================================================================

// *									*******************************************									   *

// *												 Detaillierte Angaben 						  					   *

// *									*******************************************									   *

// =====================================================================================================================





//							   =======================================================

// =================================== Angaben zur Kontaktperson des Trgers =======================================

//							   =======================================================



if( isset($_SESSION['org_persSex']) )



{

    echo "<tr bgcolor=\"#EEEEEE\"><td align=\"center\" colspan=\"2\">

    		<a href=\"#senden\"><img src=\"../images/down.gif\" border=\"0\" align=\"left\" width=\"14\" height=\"10\"></a>

    		<a href=\"#oben\"><img src=\"../images/up.gif\" border=\"0\" align=\"left\" width=\"14\" height=\"10\"></a>

    		<b>$tabOrgPersHead</b></td></tr>";

    

    if ( $_SESSION['org_persTitle'] || $_SESSION['org_persFirstName'] || $_SESSION['org_persLastName'] ||

    	 $_SESSION['org_persPosition'] ) {

    		

    		echo "\n<tr bgcolor=\"white\">\n";

    		echo "<td valign=\"top\"><b>$tabPersName</b></td>\n";

    

            echo "<td valign=\"top\">\n<table width=\"100%\" border=\"0\">

                  \n<colgroup>\n<col width=\"20%\" />\n<col width=\"80%\" />\n</colgroup>\n";



            if ( $_SESSION['org_persTitle'] ) {

                echo "<tr><td>$tabPersTitle</td>\n<td><i>";

                echo $_SESSION['org_persTitle'];

                echo "</i></td></tr>\n";

            }



            if ($_SESSION['org_persSex'] != 'unknown'){

                echo "<tr><td>$tabPersSex</td>\n<td><i>";

                echo ${$_SESSION['org_persSex']};

                echo "</i></td></tr>\n";

            }



            if ( $_SESSION['org_persFirstName'] ) {

                echo "<tr><td>$tabPersFName</td>\n<td><i>";

                echo $_SESSION['org_persFirstName'];

                echo "</i></td></tr>\n";

            }



            if ( $_SESSION['org_persLastName'] ){

                echo "<tr><td>$tabPersLName</td>\n<td><i>";

                echo $_SESSION['org_persLastName'];

                echo "</i></td></tr>\n";

            }



            if ( $_SESSION['org_persPosition'] ) {

                echo "<tr><td>$tabPersPosition</td>\n<td><i>";

                echo $_SESSION['org_persPosition'];

                echo "</i></td></tr>\n";

            }

	}

    

    if ( $_SESSION['org_persTitle'] || $_SESSION['org_persFirstName'] || $_SESSION['org_persLastName'] ||

    	 $_SESSION['org_persPosition'] )



			echo "</table>\n</td></tr>";



	if( $_SESSION['org_addrType'] )



	{

    	echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$addrTitle</b></td>\n";

    	echo "<td valign=\"top\">\n<table width=\"100%\" border=\"0\">

    	      \n<colgroup>\n<col width=\"20%\" />\n<col width=\"80%\" />\n</colgroup>\n";

		echo "<tr><td>$type</td>\n<td><i>";

		echo ${$_SESSION['org_addrType']};

		echo "</i></td></tr>\n";



        if ( $_SESSION['org_addrStreet'] ) {

            echo "<tr><td>$streetTitle</td>\n<td><i>";

            echo $_SESSION['org_addrStreet'];

            echo "</i></td></tr>\n";

        }



        if ( $_SESSION['org_addrPostBox'] ) {

            echo "<tr><td>$postBoxTitle</td>\n<td><i>";

            echo $_SESSION['org_addrPostBox'];

            echo "</i></td></tr>\n";

        }



        if ( $_SESSION['org_addrPostCode'] ) {

            echo "<tr><td>$postCode</td>\n<td><i>";

            echo $_SESSION['org_addrPostCode'];

            echo "</i></td></tr>\n";

        }



        if ( $_SESSION['org_addrTown'] ) {

            echo "<tr><td>$town</td>\n<td><i>";

            echo $_SESSION['org_addrTown'];

            echo "</i></td></tr>\n";

        }

        

		echo "<tr><td>$countryTitle</td>\n<td><i>";

		echo ${$_SESSION['org_addrCountry']};

		echo "</i></td></tr>\n</table>\n</td></tr>";



	}



	if( isset($_SESSION['org_persTel']) or isset($_SESSION['org_persMobile'])

	    or isset($_SESSION['org_persFax']) or isset($_SESSION['org_persEmail'])

	    or isset($_SESSION['org_persWww']) )

	{



    	echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$communicationTitle</b></td>\n";

    	echo "<td valign=\"top\">\n<table width=\"100%\" border=\"0\">

    			 \n<colgroup>\n<col width=\"20%\" />\n<col width=\"80%\" />\n</colgroup>\n";



        if ( $_SESSION['org_persTel'] ) {

            echo "<tr><td>$telefTitle</td>\n<td><i>";

            echo $_SESSION['org_persTel'];

            echo "</i></td></tr>\n";

        }



        if ( $_SESSION['org_persMobile'] ) {

        	echo "<tr><td>$mobileTitle</td>\n<td><i>";

        	echo $_SESSION['org_persMobile'];

        	echo "</i></td></tr>\n";

        }



        if ( $_SESSION['org_persFax'] ) {

        	echo "<tr><td>$faxTitle</td>\n<td><i>";

        	echo $_SESSION['org_persFax'];

        	echo "</i></td></tr>\n";

        }



        if ( $_SESSION['org_persEmail'] ) {

        	echo "<tr><td>$emailTitle</td>\n<td><i>";

        	echo $_SESSION['org_persEmail'];

        	echo "</i></td></tr>\n";

        }



        if ( $_SESSION['org_persWww'] ) {

        	echo "<tr><td>$wwwTitle</td>\n<td><i>";

        	echo $_SESSION['org_persWww'];

        	echo "</i></td></tr>\n";

        }



        echo	"</table>\n</td></tr>";



	}



    if( isset($_SESSION['org_persDescr']) )

    {

        echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$descrTitle</b></td>\n<td><i>";

        echo $_SESSION['org_persDescr'];

        echo "</i></td></tr>\n";

    }



}





//							   =======================================================

// =================================== Angaben zur Kontaktperson fr die Manahme =================================

//							   =======================================================





if( isset($_SESSION['off_persSex']) )



{

    echo "<tr bgcolor=\"#EEEEEE\"><td align=\"center\" colspan=\"2\">

    		<a href=\"#senden\"><img src=\"../images/down.gif\" border=\"0\" align=\"left\" width=\"14\" height=\"10\"></a>

    		<a href=\"#oben\"><img src=\"../images/up.gif\" border=\"0\" align=\"left\" width=\"14\" height=\"10\"></a>

    		<b>$tabMeasPersHead</b></td></tr>";

    

    if ( $_SESSION['off_persTitle'] || $_SESSION['off_persFirstName'] || $_SESSION['off_persLastName'] ||

    	 $_SESSION['off_persPosition'] ) {

    		

    		echo "\n<tr bgcolor=\"white\">\n";

    		echo "<td valign=\"top\"><b>$tabPersName</b></td>\n";

    

            echo "<td valign=\"top\">\n<table width=\"100%\" border=\"0\">

                  \n<colgroup>\n<col width=\"20%\" />\n<col width=\"80%\" />\n</colgroup>\n";



            if ( $_SESSION['off_persTitle'] ) {

                echo "<tr><td>$tabPersTitle</td>\n<td><i>";

                echo $_SESSION['off_persTitle'];

                echo "</i></td></tr>\n";

            }



            if ($_SESSION['off_persSex'] != 'unknown'){

                echo "<tr><td>$tabPersSex</td>\n<td><i>";

                echo ${$_SESSION['off_persSex']};

                echo "</i></td></tr>\n";

            }



            if ( $_SESSION['off_persFirstName'] ) {

                echo "<tr><td>$tabPersFName</td>\n<td><i>";

                echo $_SESSION['off_persFirstName'];

                echo "</i></td></tr>\n";

            }



            if ( $_SESSION['off_persLastName'] ){

                echo "<tr><td>$tabPersLName</td>\n<td><i>";

                echo $_SESSION['off_persLastName'];

                echo "</i></td></tr>\n";

            }



            if ( $_SESSION['off_persPosition'] ) {

                echo "<tr><td>$tabPersPosition</td>\n<td><i>";

                echo $_SESSION['off_persPosition'];

                echo "</i></td></tr>\n";

            }

	}

    

    if ( $_SESSION['off_persTitle'] || $_SESSION['off_persFirstName'] || $_SESSION['off_persLastName'] ||

    	 $_SESSION['off_persPosition'] )



			echo "</table>\n</td></tr>";



	if( $_SESSION['off_addrType'] )



	{

    	echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$addrTitle</b></td>\n";

    	echo "<td valign=\"top\">\n<table width=\"100%\" border=\"0\">

    	      \n<colgroup>\n<col width=\"20%\" />\n<col width=\"80%\" />\n</colgroup>\n";

		echo "<tr><td>$type</td>\n<td><i>";

		echo ${$_SESSION['off_addrType']};

		echo "</i></td></tr>\n";



        if ( $_SESSION['off_addrStreet'] ) {

            echo "<tr><td>$streetTitle</td>\n<td><i>";

            echo $_SESSION['off_addrStreet'];

            echo "</i></td></tr>\n";

        }



        if ( $_SESSION['off_addrPostBox'] ) {

            echo "<tr><td>$postBoxTitle</td>\n<td><i>";

            echo $_SESSION['off_addrPostBox'];

            echo "</i></td></tr>\n";

        }



        if ( $_SESSION['off_addrPostCode'] ) {

            echo "<tr><td>$postCode</td>\n<td><i>";

            echo $_SESSION['off_addrPostCode'];

            echo "</i></td></tr>\n";

        }



        if ( $_SESSION['off_addrTown'] ) {

            echo "<tr><td>$town</td>\n<td><i>";

            echo $_SESSION['off_addrTown'];

            echo "</i></td></tr>\n";

        }

        

		echo "<tr><td>$countryTitle</td>\n<td><i>";

		echo ${$_SESSION['off_addrCountry']};

		echo "</i></td></tr>\n</table>\n</td></tr>";



	}



	if( isset($_SESSION['off_persTel']) or isset($_SESSION['off_persMobile'])

	    or isset($_SESSION['off_persFax']) or isset($_SESSION['off_persEmail'])

	    or isset($_SESSION['off_persWww']) )

	{



    	echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$communicationTitle</b></td>\n";

    	echo "<td valign=\"top\">\n<table width=\"100%\" border=\"0\">

    			 \n<colgroup>\n<col width=\"20%\" />\n<col width=\"80%\" />\n</colgroup>\n";



        if ( $_SESSION['off_persTel'] ) {

            echo "<tr><td>$telefTitle</td>\n<td><i>";

            echo $_SESSION['off_persTel'];

            echo "</i></td></tr>\n";

        }



        if ( $_SESSION['off_persMobile'] ) {

        	echo "<tr><td>$mobileTitle</td>\n<td><i>";

        	echo $_SESSION['off_persMobile'];

        	echo "</i></td></tr>\n";

        }



        if ( $_SESSION['off_persFax'] ) {

        	echo "<tr><td>$faxTitle</td>\n<td><i>";

        	echo $_SESSION['off_persFax'];

        	echo "</i></td></tr>\n";

        }



        if ( $_SESSION['off_persEmail'] ) {

        	echo "<tr><td>$emailTitle</td>\n<td><i>";

        	echo $_SESSION['off_persEmail'];

        	echo "</i></td></tr>\n";

        }



        if ( $_SESSION['off_persWww'] ) {

        	echo "<tr><td>$wwwTitle</td>\n<td><i>";

        	echo $_SESSION['off_persWww'];

        	echo "</i></td></tr>\n";

        }



        echo	"</table>\n</td></tr>";



	}



    if( isset($_SESSION['off_persDescr']) )

    {

        echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$descrTitle</b></td>\n<td><i>";

        echo $_SESSION['off_persDescr'];

        echo "</i></td></tr>\n";

    }



}





//							   =======================================================

// =========================================== Angaben zur  Manahme ===========================================

//							   =======================================================





if ( isset($_SESSION['meas_addrTown'])

     OR isset($_SESSION['meas_offTime']) OR isset($_SESSION['infoBook']) OR isset($_SESSION['infoReport'])

	 OR isset($_SESSION['infoWeb']) OR isset($_SESSION['infoVideo']) OR isset($_SESSION['infoCdrom'])

	 OR isset($_SESSION['infoOther']) OR isset($_SESSION['meas_offCostDuty']) OR isset($_SESSION['meas_offDisabled'])

	 OR isset($_SESSION['meas_offKids']) OR isset($_SESSION['meas_offAccomodation'])OR isset($_SESSION['meas_offEqual']))



	echo	"<tr bgcolor=\"#EEEEEE\"><td align=\"center\" colspan=\"2\">

			<a href=\"#senden\"><img src=\"../images/down.gif\" border=\"0\" align=\"left\" width=\"14\" height=\"10\"></a>

			<a href=\"#oben\"><img src=\"../images/up.gif\" border=\"0\" align=\"left\" width=\"14\" height=\"10\"></a>

			<b>$tabDetailMeasHead</b></td></tr>";





// ------------------------------------

// * 	  Manahmeort und Land     	  *

// ------------------------------------



if( $_SESSION['meas_addrTown'] )

{

	echo "<tr bgcolor=\"white\"><td><b>$town</b></td><td><i>";

	echo $_SESSION['meas_addrTown'];

	echo " \\ ";

	echo ${$_SESSION['meas_addrCountry']};

	echo "</i></td></tr>";

}



// ----------------------------------

// *     		Zeit   			    *

// ----------------------------------



if ( $_SESSION['meas_offTime'] ) {

    echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$timeTitle</b></td>\n\n<td valign=\"top\"><i>";

    echo $_SESSION['meas_offTime'];

    echo "</i></td>\n</tr>";

}



// ----------------------------------

// *       Infomaterialien	 	    *

// ----------------------------------



if ( isset($_SESSION['infoBook'])  OR isset($_SESSION['infoReport']) OR isset($_SESSION['infoWeb'])

	 OR isset($_SESSION['infoVideo']) OR isset($_SESSION['infoCdrom']) OR isset($_SESSION['infoOther']) )

{



    unset ( $_SESSION['meas_offInfoMaterialien'] );



    echo "\n<tr bgcolor=\"white\">\n<td valign=\"top\"><b>$infoMaterial</b></td><td valign=\"top\">\n";

	$i = 1;



    if ( $_SESSION['infoBook'] ) {



    	$_SESSION['meas_offInfoMaterialien'] = $_SESSION['infoBook'];

    	echo "$i) <i>";

    	echo ${$_SESSION['infoBook']};

    	echo "</i><br />";

    	$i++;

	}



    if ($_SESSION['infoReport']) {



    	$_SESSION['meas_offInfoMaterialien'] = $_SESSION['meas_offInfoMaterialien'].' '.$_SESSION['infoReport'];

    	echo "$i) <i>";

    	echo ${$_SESSION['infoReport']};

    	echo "</i><br />";

    	$i++;

	}



    if ($_SESSION['infoWeb']) {



    	$_SESSION['meas_offInfoMaterialien'] = $_SESSION['meas_offInfoMaterialien'].' '.$_SESSION['infoWeb'];

    	$help = substr(${$_SESSION['infoWeb']}, 0, strpos(${$_SESSION['infoWeb']}, '<'));

    	echo "$i) <i>$help</i>: ";

    	echo $_SESSION['meas_offWebText'];

    	echo "<br />";

    	$i++;

	}



    if ($_SESSION['infoVideo']) {



    	$_SESSION['meas_offInfoMaterialien'] = $_SESSION['meas_offInfoMaterialien'].' '.$_SESSION['infoVideo'];

    	echo "$i) <i>";

    	echo ${$_SESSION['infoVideo']};

    	echo "</i><br />";

    	$i++;

	}



    if ($_SESSION['infoCdrom']) {



    	$_SESSION['meas_offInfoMaterialien'] = $_SESSION['meas_offInfoMaterialien'].' '.$_SESSION['infoCdrom'];

    	echo "$i) <i>";

    	echo ${$_SESSION['infoCdrom']};

    	echo "</i><br />";

    	$i++;

	}



    if ($_SESSION['infoOther']) {



    	$_SESSION['meas_offInfoMaterialien'] = $_SESSION['meas_offInfoMaterialien'].' '.$_SESSION['infoOther'];

    	echo "$i) <i>";

    	echo ${$_SESSION['infoOther']};

    	echo "</i>: ";

    	echo $_SESSION['meas_offOtherText'];

	}



}





// ----------------------------

// *          Kosten          *

// ----------------------------



if( $_SESSION['meas_offCostDuty'] )

{

echo "<tr bgcolor=\"white\"><td><b>$costTitle</b></td><td><i>";

echo ${$_SESSION['meas_offCostDuty']};

    if( $_SESSION['meas_offCostSum'] ) {

        echo " - ";

        echo $_SESSION['meas_offCostSum'];

        echo "<br />";

    }



    if( $_SESSION['meas_offCostText'] ) {

        echo "<br />";

        echo $_SESSION['meas_offCostText'];

    }



    echo "</i></td></tr>";

}





// ----------------------------------

// * 	   	    Behinderte			*

// ----------------------------------



if( $_SESSION['meas_offDisabled'] ) {



	echo "<tr bgcolor=\"white\"><td><b>$disabledTitle</b></td><td><i>";

	echo ${$_SESSION['meas_offDisabled']};

	echo "</i></td></tr>";

}





// ----------------------------------

// * 	   	  Kinderbetreuung		*

// ----------------------------------



if( $_SESSION['meas_offKids'] ) {



	echo "<tr bgcolor=\"white\"><td><b>$kidsTitle</b></td><td><i>";

	echo ${$_SESSION['meas_offKids']};

	echo "</i></td></tr>";

}





// ----------------------------------

// * 	   	  	Unterkunft			*

// ----------------------------------



if( $_SESSION['meas_offAccomodation'] ) {



	echo "<tr bgcolor=\"white\"><td><b>$accomodationTitle</b></td><td><i>";

	echo ${$_SESSION['meas_offAccomodation']};

	echo "<br /></i></td></tr>";

}





// ----------------------------------

// * 	   	  Gleichstellung		*

// ----------------------------------



if( $_SESSION['meas_offEqual'] )

{

	echo "<tr bgcolor=\"white\"><td valign=\"top\"><b>$equalTitle</b></td><td><i>";

	echo ${$_SESSION['meas_offEqual']};



	if( $_SESSION['meas_offEqualText'] ) {

		echo "<br />";

		echo $_SESSION['meas_offEqualText'];

	}



	echo "</i>";

}



?>

					</td>

				</tr>

			</table>



		</td>

	</tr>



	<tr bgcolor="white">

		<td colspan="2">



			<table border="0" align="center" width="101%">

			<colgroup>

				<col />

			</colgroup>

				<tr>

					<td align="right">

						<a href="../include/newMeasAdd.inc.php" name="senden">

						<img src="../images/send.gif" border="0" align="right"></a>

					</td>

				</tr>

			</table>



		</td>

	</tr>



</table>



</body>

</html>

