<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// newMeasQuickForm.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript fhrt den zweiten Schritt der Aktion "Neues Angebot" aus.

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php; rodin/include/mySQLForm.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 20.10.2003

//

// Letzte nderung:	 28.10.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// Aktuelle Seite festlegen

$_SESSION['site'] = './counselling/newMeasQuickForm.php';



// ====================================================

// * functions.inc.php enthlt smtl. Funktionen 	  *

// ====================================================



include_once ('../include/functions.inc.php');

// ====================================================





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';



// Variable fr den aktuellen Tag definieren

$datDay = date("d");



// Variable fr den aktuellen Monat definieren

$datMonth = date("m");



// Variable fr das aktuelle Jahr definieren

$datYear = date("Y");





// Variable fr 'disabled'

$strDisabled = 'disabled=\"disabled\"';



// Die empfangene Variable (ID-Wert des Trgersatzes) lokal speichern

if ( isset($_POST['org']) ) {

	$strOrgID = $_SESSION['orgID'] = $_POST['org'];

}

else

	$strOrgID = isset($_SESSION['orgID']) ? $_SESSION['orgID'] : '';



// Falls die Anbieter-ID nicht ermitteln werden konnte, dann zurck - zum Anfang der Anwendung

if ($strOrgID == "0" || $strOrgID == "") {

	header ("Location: ./newMeas.php");

	exit;

}



// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================

if ( isset($_GET['check']) ) {



	$error = $_SESSION['error'];

    $strQuery = "SELECT dKey, dValue FROM dictionary

                 WHERE dLang = '$strLang' AND dDomain IN ('general', 'quickForm', 'formular',

                 									      'counsNewMeas', '$error')";

} else

    $strQuery = "SELECT dKey, dValue FROM dictionary

                 WHERE dLang = '$strLang' AND dDomain IN ('general', 'quickForm', 'formular', 'counsNewMeas')";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// =====================================================================================================================





// ============================================================================================================

// *** 			Die Eintrge fr Auswahllisten 'Thematische Schwerpunkte', 'Branche', 'Art der Manahme'	***

// *** 			und'Anbieter' aus DB-Tabellen holen								    						***

// ============================================================================================================

// 'Thematische Schwerpunkte'

$strTopicQuery = "SELECT themID, themDE FROM thematik

			            WHERE themArea = 'counselling' AND themList = 'topic'

			            ORDER BY themDE";

// 'Art der Manahme'

$strTypeQuery = "SELECT themID, themDE FROM thematik

				         WHERE themArea = 'counselling' AND themList = 'kind'

				         ORDER BY themDE";

// 'Anbieter'

$strFirmaQuery = "SELECT dID, dValue FROM dictionary

				          WHERE dLang = 'de' AND dDomain = 'counselling' AND dKey = 'orgType'

				          ORDER BY dValue";



// -----------------------------------------------------------------------------------------------------------------

// * Die Datei mySQLForm.inc.php stellt eine Verbindung zur Datenbank her und verarbeitet die Anfrage (s.o.).

// * Es werden dabei alle erforderlichen Variablen-Werte fr das einfachen Formular aus der Tabelle "thematik" geholt.

// -----------------------------------------------------------------------------------------------------------------



include ('../include/mySQLForm.inc.php');

// =====================================================================================================================





// ===================================================================================

// *** 	  Anbieter-Daten ermitteln und sowohl lokal als auch in Session ablegen    ***

// ===================================================================================



// Das Array bekommt als Wert den aktuellen Datensatz aus der DB-Tabelle 'organiser'

$strRecord = Find_Org_Data('organiser', 'orgID', $strOrgID);



// ------------------------------------------------------------------------------------------------

// * 									DB-Tabelle 'organiser'									  *

// ------------------------------------------------------------------------------------------------



// Trgername

$_SESSION['orgName'] = isset ($strRecord['orgName']) ? trim($strRecord['orgName']) : '';

$strOrgName = htmlentities($_SESSION['orgName']);



// Typ des Trgers

$strOrgType = isset($strRecord['orgType']) ? trim($strRecord['orgType']) : '';



if ($strOrgType != '')

	$_SESSION['orgType'] = $strOrgType;



// Broffnungszeiten

$strOrgTime = isset($strRecord['orgOfficeTime']) ? trim($strRecord['orgOfficeTime']) : '';



if ($strOrgTime != '') {

	$_SESSION['orgOfficeTime'] = $strOrgTime;

	$strOrgTime = htmlentities($_SESSION['orgOfficeTime']);

}



// Telefon des Trgers

$strOrgTel = isset($strRecord['orgTel']) ? trim($strRecord['orgTel']) : '';



if ($strOrgTel != '') {

	$_SESSION['orgTel'] = $strOrgTel;

	$strOrgTel = htmlentities($_SESSION['orgTel']);

}



// Fax des Trgers

$strOrgFax = isset($strRecord['orgFax']) ? trim($strRecord['orgFax']) : '';



if ($strOrgFax != '') {

	$_SESSION['orgFax'] = $strOrgFax;

	$strOrgFax = htmlentities($_SESSION['orgFax']);

}



// Email des Trgers

$strOrgEmail = isset($strRecord['orgEmail']) ? trim($strRecord['orgEmail']) : '';



if ($strOrgEmail != '') {

	$_SESSION['orgEmail'] = $strOrgEmail;

	$strOrgEmail = htmlentities($_SESSION['orgEmail']);

}



// Homepage des Trgers

$strOrgWww = isset($strRecord['orgWww']) ? trim($strRecord['orgWww']) : '';



if ($strOrgWww != '') {

	$_SESSION['orgWww'] = $strOrgWww;

	$strOrgWww = htmlentities($_SESSION['orgWww']);

}



// -------------------------- Ermittelte IDs speichern --------------------

$strOrgAddrID = isset($strRecord['orgAddrID']) ? $strRecord['orgAddrID'] : '';



// ID der Anschrift des Trgers in Session speichern

$_SESSION['orgAddrID'] = $strOrgAddrID;



// Die ID der Kontaktperson des Trgers lokal speichern

$strOrgPersID = isset($strRecord['orgPersID']) ? $strRecord['orgPersID'] : '';

// ------------------------------------------------------------------------------





// ------------------------------------------------------------------------------------------------

// * 									DB-Tabelle 'addresses'									  *

// ------------------------------------------------------------------------------------------------



// Array bekommt als Wert einen ermittelten Datensatz aus der DB-Tabelle 'addresses'

$strRecord = Find_Org_Data('addresses', 'addrID', $strOrgAddrID);



// Typ der Adresse

$strAddrType = $_SESSION['addrType'] = $strRecord['addrType'];



// Strae

$strAddrStreet = isset($strRecord['addrStreet']) ? trim($strRecord['addrStreet']) : '';



if ($strAddrStreet != '') {

	$_SESSION['addrStreet'] = $strAddrStreet;

	$strAddrStreet = htmlentities($_SESSION['addrStreet']);

}



// Postfach

$strAddrPostBox = isset($strRecord['addrPostBox']) ? trim($strRecord['addrPostBox']) : '';



if ($strAddrPostBox != '') {

	$_SESSION['addrPostBox'] = $strAddrPostBox;

	$strAddrPostBox = htmlentities($_SESSION['addrPostBox']);

}



// PLZ

$strAddrPostCode = $_SESSION['addrPostCode'] = isset($strRecord['addrPostCode']) ? $strRecord['addrPostCode'] : '';



// Ort

$_SESSION['addrTown'] = trim($strRecord['addrTown']);

$strAddrTown = htmlentities($_SESSION['addrTown']);



// Land

$strAddrCountry = $_SESSION['addrCountry'] = $strRecord['addrCountry'];





// ------------------------------------------------------------------

// * Falls die Daten der Kontaktperson des Trgers in DB vorhanden,

// * sie in Session speichern

// ------------------------------------------------------------------

if ( trim($strOrgPersID) != '' )

{

	$_SESSION['persFromOrg'] = TRUE;	// In Session merken, dass die Daten der Kontaktperson des Trgers vorhanden



	// --- Tabelle 'persons' ---



    // Array bekommt als Wert einen ermittelten Datensatz aus der DB-Tabelle 'addresses'

    $strRecord = Find_Org_Data('persons', 'persID', $strOrgPersID);



    $_SESSION['org_persID'] = isset($strRecord['persID']) ? $strRecord['persID'] : '';



    if ( isset($strRecord['persTitle']) AND trim($strRecord['persTitle']) != '')

    	$_SESSION['org_persTitle'] = trim($strRecord['persTitle']);



    $_SESSION['org_persSex'] = $strRecord['persSex'];



    if ( isset($strRecord['persFirstName']) AND trim($strRecord['persFirstName']) != '')

    	$_SESSION['org_persFirstName'] = trim($strRecord['persFirstName']);



    $_SESSION['org_persLastName'] = $strRecord['persLastName'];



    if ( isset($strRecord['persPosition']) AND trim($strRecord['persPosition']) != '')

    	$_SESSION['org_persPosition'] = trim($strRecord['persPosition']);



    if ( isset($strRecord['persTel']) AND trim($strRecord['persTel']) != '')

    	$_SESSION['org_persTel'] = trim($strRecord['persTel']);



    if ( isset($strRecord['persFax']) AND trim($strRecord['persFax']) != '')

    	$_SESSION['org_persFax'] = trim($strRecord['persFax']);



    if ( isset($strRecord['persMobile']) AND trim($strRecord['persMobile']) != '')

    	$_SESSION['org_persMobile'] = trim($strRecord['persMobile']);



    if ( isset($strRecord['persEmail']) AND trim($strRecord['persEmail']) != '')

    	$_SESSION['org_persEmail'] = trim($strRecord['persEmail']);



    if ( isset($strRecord['persWww']) AND trim($strRecord['persWww']) != '')

    	$_SESSION['org_persWww'] = trim($strRecord['persWww']);



    if ( isset($strRecord['persDescr']) AND trim($strRecord['persDescr']) != '')

    	$_SESSION['org_persDescr'] = trim($strRecord['persDescr']);



    $strOrgPersAddrID = isset($strRecord['persAddrID']) ? $strRecord['persAddrID'] : '';



	if ( $strOrgPersAddrID != '' )

	{

	// --- Tabelle 'addresses' ---



    // Array bekommt als Wert einen ermittelten Datensatz aus der DB-Tabelle 'addresses'

    $strRecord = Find_Org_Data('addresses', 'addrID', $strOrgPersAddrID);



	$_SESSION['org_addrID'] = $strPersAddrID;		// ID der Anschrift der Person in Session speichern



    $_SESSION['org_addrType'] = $strRecord['addrType'];



    if ( isset($strRecord['addrStreet']) AND trim($strRecord['addrStreet']) != '')

    	$_SESSION['org_addrStreet'] = trim($strRecord['addrStreet']);



    if ( isset($strRecord['addrPostBox']) AND trim($strRecord['addrPostBox']) != '')

    	$_SESSION['org_addrPostBox'] = trim($strRecord['addrPostBox']);



    if ( isset($strRecord['addrPostCode']) AND trim($strRecord['addrPostCode']) != '')

    	$_SESSION['org_addrPostCode'] = trim($strRecord['addrPostCode']);



    $_SESSION['org_addrTown'] = trim($strRecord['addrTown']);



    $_SESSION['org_addrCountry'] = $strRecord['addrCountry'];



	}

} elseif ( trim($strOrgPersID) == '' )

	$_SESSION['persFromOrg'] = FALSE;// In Session merken, dass die Daten der Kontaktperson des Trgers nicht vorhanden



// =====================================================================================================================





// ====================================================================================================================

// *			*****************************************************************************************			  *

// * 				Alle Formular-Feld-Variablen werden definiert und mit bestimmten Werten versehen 		    	  *

// *			*****************************************************************************************			  *

// ====================================================================================================================



$strOffTitle = isset($_SESSION['offTitle']) ? htmlentities($_SESSION['offTitle']) : '';



$strOffTerm = isset($_SESSION['offTerm']) ? $_SESSION['offTerm'] : '';

$strOffTermCheck1 = isset($_SESSION['termCheck1']) ? $_SESSION['termCheck1'] : '';

$strOffTermCheck2 = isset($_SESSION['termCheck2']) ? $_SESSION['termCheck2'] : '';

$strOffTermCheck3 = isset($_SESSION['termCheck3']) ? $_SESSION['termCheck3'] : '';

$strOffConcretDay = isset($_SESSION['concretDay']) ? $_SESSION['concretDay'] : $datDay;

$strOffConcretMonth = isset($_SESSION['concretMonth']) ? $_SESSION['concretMonth'] : $datMonth;

$strOffConcretYear = isset($_SESSION['concretYear']) ? $_SESSION['concretYear'] : $datYear;

$strOffExpectedDay = isset($_SESSION['expectedDay']) ? $_SESSION['expectedDay'] : $datDay;

$strOffExpectedMonth = isset($_SESSION['expectedMonth']) ? $_SESSION['expectedMonth'] : $datMonth;

$strOffExpectedYear = isset($_SESSION['expectedYear']) ? $_SESSION['expectedYear'] : $datYear;



// ------------------------------------	Dauer ---------------------------------------------------------------

$strOffBeginCheck1 = isset($_SESSION['beginCheck1']) ? $_SESSION['beginCheck1'] : '';

$strOffBeginCheck2 = isset($_SESSION['beginCheck2']) ? $_SESSION['beginCheck2'] : '';

$strMeasBeginDay = isset($_SESSION['beginDay']) ? $_SESSION['beginDay'] : '--';

$strMeasBeginMonth = isset($_SESSION['beginMonth']) ? $_SESSION['beginMonth'] : '--';

$strMeasBeginYear = isset($_SESSION['beginYear']) ? $_SESSION['beginYear'] : '----';

$strOffEndCheck1 = isset($_SESSION['endCheck1']) ? $_SESSION['endCheck1'] : '';

$strOffEndCheck2 = isset($_SESSION['endCheck2']) ? $_SESSION['endCheck2'] : '';

$strMeasEndDay = isset($_SESSION['endDay']) ? $_SESSION['endDay'] : '--';

$strMeasEndMonth = isset($_SESSION['endMonth']) ? $_SESSION['endMonth'] : '--';

$strMeasEndYear = isset($_SESSION['endYear']) ? $_SESSION['endYear'] : '----';



$strOffTopic1 = isset($_SESSION['topic1']) ? htmlentities($_SESSION['topic1']) : $selection;

$strOffTopicKey1 = isset($_SESSION['offTopicID1']) ? $_SESSION['offTopicID1'] : 0;

$strOffTopic2 = isset($_SESSION['topic2']) ? htmlentities($_SESSION['topic2']) : $selection;

$strOffTopicKey2 = isset($_SESSION['offTopicID2']) ? $_SESSION['offTopicID2'] : 0;

$strOffTopic3 = isset($_SESSION['topic3']) ? htmlentities($_SESSION['topic3']) : $selection;

$strOffTopicKey3 = isset($_SESSION['offTopicID3']) ? $_SESSION['offTopicID3'] : 0;

$strOffTopic4 = isset($_SESSION['offTopic4']) ? htmlentities($_SESSION['offTopic4']) : '';



$strOffType1 = isset($_SESSION['type1']) ? htmlentities($_SESSION['type1']) : $selection;

$strOffTypeKey1 = isset($_SESSION['offTypeID1']) ? $_SESSION['offTypeID1'] : 0;

$strOffType2 = isset($_SESSION['type2']) ? htmlentities($_SESSION['type2']) : $selection;

$strOffTypeKey2 = isset($_SESSION['offTypeID2']) ? $_SESSION['offTypeID2'] : 0;

$strOffType3 = isset($_SESSION['type3']) ? htmlentities($_SESSION['type3']) : $selection;

$strOffTypeKey3 = isset($_SESSION['offTypeID3']) ? $_SESSION['offTypeID3'] : 0;

$strOffType4 = isset($_SESSION['offType4']) ? htmlentities($_SESSION['offType4']) : '';



$strOffDescr = isset($_SESSION['offDescr']) ? htmlentities($_SESSION['offDescr']) : '';



// ********************************************************************************************************************



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/form.css');



?>



<table align="center" border="0" width="700" style="color: darkblue">

<colgroup>

	<col />

</colgroup>

	<tr><td>

        <h5 style="color: #C0C0C0"><?=$siteName?></h5>

        <div align="center"><big><b><?=$greeting?></b></big><br /><sub><?=$greetNotice?></sub></div>

	</td></tr>

</table><br />



<?php



// =============================================================================================================

// * Wenn nicht alle Pflichtfelder vom Benutzer gefllt wurden, dann wird eine entsprechende Meldung ausgegeben

// =============================================================================================================

// GET-Variable wird vom Skript 'quickFormCheck.inc.php' bergeben

if ( isset($_GET['check']) and $_GET['check'] === 'FALSE' )



	echo "<table align=\"center\" border=\"0\" width=\"700\" style=\"color:red\"><tr><td align=\"left\">

		  \n$entryError</td></tr>\n</table>";

// =============================================================================================================



?>



<form action="./newMeasQuickFormConf.php" method="post">



<a name="oben"></a>



<table align="center" width="700" border="0" cellpadding="4" cellspacing="1" style="background-color: #C0C0C0">

<colgroup>

    <col width="25%" style="font-size: 9pt" />

    <col width="75%" />

</colgroup>

    <tr bgcolor="#EEEEEE">

        <td colspan="2" align="center">

            <a href="#frmOrgWww"><img src="../images/down.gif" border="0" align="left" width="14" height="10"></a>

            <b><?=$tabMeasHead?></b>

        </td>

    </tr>



    <tr bgcolor="white">

        <td style="color:#FF8080"><?=$tabMeasTitle?></td>

        <td><input type="text" name="frmOffTitle" size="80" maxlength="255" value="<?=$strOffTitle?>"></td>

    </tr>



    <tr bgcolor="white">

        <td valign="top" style="color:#FF8080"><?=$termTitle?></td>

        <td valign="top">



        <table width="100%" border="0">

        <colgroup>

            <col width="30%">

            <col width="10%">

            <col width="60%">

        </colgroup>

            <tr>

                <td></td>

                <td></td>

                <td><sub>

                    <?=$day?> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                    <?=$month?> &nbsp;&nbsp;&nbsp;

                    <?=$year?>

                    </sub>

                </td>

            </tr>

            <tr>

                <td>

                	<input type="radio" name="frmOffTerm" value="concrete" <?=$strOffTermCheck1?>><?=$concrete?>

                </td><td>

                	<?=$till?>

                </td><td>

                    <select name="frmOffConcretDay">

                        <option><?=$strOffConcretDay?></option>

<?php



// ===================================================================

// *    Hier wird die Auswahlliste fr Tage mit Eintrgen gefllt 	 *

// ===================================================================

for ($i=1;$i<=31;$i++)

{

    $strDay = sprintf ("%02d", $i);

    echo "\n<option>$strDay</option>";

}

// ===================================================================



?>

                    </select>

                    <select name="frmOffConcretMonth">

                        <option><?=$strOffConcretMonth?></option>

<?php



// ======================================================================

// *    Hier wird die Auswahlliste fr Monate mit Eintrgen gefllt 	*

// ======================================================================

for ($i=1;$i<=12;$i++)

{

    $strMonth = sprintf ("%02d", $i);

    echo "\n<option>$strMonth</option>";

}

// ======================================================================



?>

                    </select>

                    <select name="frmOffConcretYear">

                        <option><?=$strOffConcretYear?></option>

<?php



$strYear = $datYear + 1;

// ======================================================================

// *    Hier wird die Auswahlliste fr Jahre mit Eintrgen gefllt 		*

// ======================================================================

for ($i=1;$i<=5;$i++)

{

    echo "\n<option>$strYear</option>";

    $strYear++;

}

// ======================================================================



?>

                    </select>

				</td>



            </tr><tr>

                <td><input type="radio" name="frmOffTerm" value="expected" <?=$strOffTermCheck2?>><?=$expected?>

            </td><td>

                <?=$till?>

            </td><td>

                <select name="frmOffExpectedDay">

                    <option><?=$strOffExpectedDay?></option>

<?php



// ==================================================================

// *    Hier wird die Auswahlliste fr Tage mit Eintrgen gefllt 	*

// ==================================================================

for ($i=1;$i<=31;$i++)

{

    $strDay = sprintf ("%02d", $i);

    echo "\n<option>$strDay</option>";

}

// ==================================================================



?>

                </select>

                <select name="frmOffExpectedMonth">

                    <option><?=$strOffExpectedMonth?></option>

<?php



// ======================================================================

// *    Hier wird die Auswahlliste fr Monate mit Eintrgen gefllt 	*

// ======================================================================

for ($i=1;$i<=12;$i++)

{

    $strMonth = sprintf ("%02d", $i);

    echo "\n<option>$strMonth</option>";

}

// ======================================================================



?>

                </select>

                    <select name="frmOffExpectedYear">

                        <option><?=$strOffExpectedYear?></option>

<?php



$strYear = $datYear + 1;

// ======================================================================

// *    Hier wird die Auswahlliste fr Jahre mit Eintrgen gefllt 		*

// ======================================================================

for ($i=1;$i<=5;$i++)

{

    echo "\n<option>$strYear</option>";

    $strYear++;

}

// ======================================================================



?>

                    </select>

                </td>

            </tr><tr>

                <td colspan="3">

                    <input type="radio" name="frmOffTerm" value="limitless" <?=$strOffTermCheck3?>><?=$limitless?>

                </td>

            </tr>

		</table>



        </td>

    </tr>



    <tr bgcolor="white">

        <td valign="top"><?=$term?></td>

        <td>

            <table border="0" width="100%">

            <colgroup>

                <col width="15%" />

                <col width="*" />

            </colgroup>

                <tr>

                    <td><i><?=$begin?></i></td>

                    <td>

                        <?=$at?>&nbsp;&nbsp;

						<select name="frmMeasBeginDay">

                            <option><?=$strMeasBeginDay?></option>



<?php



// ===================================================================

// *    Hier wird die Auswahlliste fr Tage mit Eintrgen gefllt 	 *

// ===================================================================

for ($i=1;$i<=31;$i++)

{

    $strDay = sprintf ("%02d", $i);

    echo "\n<option>$strDay</option>";

}

// ===================================================================



?>



                        </select>

                        <select name="frmMeasBeginMonth">

                            <option><?=$strMeasBeginMonth?></option>



<?php



// ======================================================================

// *    Hier wird die Auswahlliste fr Monate mit Eintrgen gefllt 	*

// ======================================================================

for ($i=1;$i<=12;$i++)

{

    $strMonth = sprintf ("%02d", $i);

    echo "\n<option>$strMonth</option>";

}

// ======================================================================



?>



                        </select>

                    <select name="frmMeasBeginYear">

                        <option><?=$strMeasBeginYear?></option>

<?php



$strYear = $datYear;

// ======================================================================

// *    Hier wird die Auswahlliste fr Jahre mit Eintrgen gefllt 		*

// ======================================================================

for ($i=1;$i<=5;$i++)

{

    echo "\n<option>$strYear</option>";

    $strYear++;

}

// ======================================================================



?>

                    </select>



                        &nbsp;&nbsp;&nbsp;&nbsp;

						<input type="radio" name="frmOffBegin" value="exact" <?=$strOffBeginCheck1?>><?=$exact?>

						&nbsp;&nbsp;

                        <input type="radio" name="frmOffBegin" value="expected" <?=$strOffBeginCheck2?>><?=$expected?>

                    </td>

                </tr><tr>

                    <td><i><?=$end?></i></td>

                    <td>

                        <?=$at?>&nbsp;&nbsp;

						<select name="frmMeasEndDay">

                            <option><?=$strMeasEndDay?></option>



<?php



// ===================================================================

// *    Hier wird die Auswahlliste fr Tage mit Eintrgen gefllt 	 *

// ===================================================================

for ($i=1;$i<=31;$i++)

{

    $strDay = sprintf ("%02d", $i);

    echo "\n<option>$strDay</option>";

}

// ===================================================================



?>



                        </select>

                        <select name="frmMeasEndMonth">

                            <option><?=$strMeasEndMonth?></option>



<?php



// ======================================================================

// *    Hier wird die Auswahlliste fr Monate mit Eintrgen gefllt 	*

// ======================================================================

for ($i=1;$i<=12;$i++)

{

    $strMonth = sprintf ("%02d", $i);

    echo "\n<option>$strMonth</option>";

}

// ======================================================================



?>



                        </select>

                    <select name="frmMeasEndYear">

                        <option><?=$strMeasEndYear?></option>

<?php



$strYear = $datYear;

// ======================================================================

// *    Hier wird die Auswahlliste fr Jahre mit Eintrgen gefllt 		*

// ======================================================================

for ($i=1;$i<=5;$i++)

{

    echo "\n<option>$strYear</option>";

    $strYear++;

}

// ======================================================================



?>

                    </select>



                        &nbsp;&nbsp;&nbsp;&nbsp;

						<input type="radio" name="frmOffEnd" value="exact" <?=$strOffEndCheck1?>><?=$exact?>

                        &nbsp;&nbsp;

						<input type="radio" name="frmOffEnd" value="expected" <?=$strOffEndCheck2?>><?=$expected?>

                    </td>

                </tr>

            </table>

        </td>

    </tr>



    <tr bgcolor="white">

        <td valign="top">

            <p style="color:#FF8080"><?=$tabMeasThema?></p><?=$tabMeasThemaComment?>

        </td><td>



            <select name="frmOffTopic1">

                <option value="<?=$strOffTopicKey1?>"><?=$strOffTopic1?></option>

<?php



// Die Liste 'Thematische Schwerpunkte' fllen

if ( isset($arrTopic) )							// Das Array wurde im Skript 'mySQLForm.inc.php' erzeugt

	List_Enter($arrTopic, $strOffTopicKey1, $selection);



?>

            </select><br /><br />



            <select name="frmOffTopic2">

               <option value="<?=$strOffTopicKey2?>"><?=$strOffTopic2?></option>

<?php



// Die Liste 'Thematische Schwerpunkte' fllen

if ( isset($arrTopic) )							// Das Array wurde im Skript 'mySQLForm.inc.php' erzeugt

	List_Enter($arrTopic, $strOffTopicKey2, $selection);



?>

            </select><br /><br />



            <select name="frmOffTopic3">

                  <option value="<?=$strOffTopicKey3?>"><?=$strOffTopic3?></option>

<?php



// Die Liste 'Thematische Schwerpunkte' fllen

if ( isset($arrTopic) )							// Das Array wurde im Skript 'mySQLForm.inc.php' erzeugt

	List_Enter($arrTopic, $strOffTopicKey3, $selection);



?>

            </select><br /><br />



            <table border="0" width="100%">

            <colgroup>

                <col width="35%">

                <col width="65%">

            </colgroup>

                <tr>

                	<td><?=$tabMeasOwnTopic?></td>

                	<td valign="top">

                    	<input type="text" name="frmOffTopic4" size="50"  maxlength="80" value="<?=$strOffTopic4?>">

                	</td>

                </tr>

            </table>



        </td>

    </tr>



    <tr bgcolor="white">

        <td valign="top"><?=$measTypeTitle?></td>

        <td>

            <select name="frmOffType1">

                <option value="<?=$strOffTypeKey1?>"><?=$strOffType1?></option>



<?php



// ==============================================================================

// *    Hier wird die Auswahlliste "Art der Manahme" mit Eintrgen gefllt		*

// ==============================================================================



if ( isset($arrType) )							// Das Array wurde im Skript 'mySQLForm.inc.php' erzeugt

	List_Enter($arrType, $strOffTypeKey1, $selection);

// ==============================================================================



?>

            </select><br /><br />

            <select name="frmOffType2">

                <option value="<?=$strOffTypeKey2?>"><?=$strOffType2?></option>



<?php



// ==============================================================================

// *    Hier wird die Auswahlliste "Art der Manahme" mit Eintrgen gefllt		*

// ==============================================================================



if ( isset($arrType) )							// Das Array wurde im Skript 'mySQLForm.inc.php' erzeugt

	List_Enter($arrType, $strOffTypeKey2, $selection);

// ==============================================================================



?>

            </select><br /><br />

            <select name="frmOffType3">

                <option value="<?=$strOffTypeKey3?>"><?=$strOffType3?></option>



<?php



// ==============================================================================

// *    Hier wird die Auswahlliste "Art der Manahme" mit Eintrgen gefllt		*

// ==============================================================================



if ( isset($arrType) )							// Das Array wurde im Skript 'mySQLForm.inc.php' erzeugt

	List_Enter($arrType, $strOffTypeKey3, $selection);

// ==============================================================================



?>

            </select><br /><br />



            <table border="0" width="100%">

            <colgroup>

                <col width="35%">

                <col width="65%">

            </colgroup>

                <tr>

                	<td><?=$tabMeasOwnTopic?></td>

                	<td valign="top">

                    	<input type="text" name="frmOffType4" size="50"  maxlength="80" value="<?=$strOffType4?>">

                	</td>

                </tr>

            </table>



        </td>

    </tr>



    <tr bgcolor="white">

        <td valign="top"><?=$tabMeasDescr?></td>

        <td>

            <textarea cols="60" rows="4" wrap="virtual" name="frmOffDescr"><?=$strOffDescr?></textarea>

        </td>

    </tr>



    <tr bgcolor="#EEEEEE">

        <td colspan="2" align="center">

            <a href="#oben"><img src="../images/up.gif" border="0" align="left" width="14" height="10"></a>

            <b><?=$tabOrgHead?></b>

        </td>

    </tr>



    <tr bgcolor="white">

        <td  style="color:#FF8080"><?=$tabOrgNameTitle?></td>

        <td><input type="text" name="frmOrgName" size="82" maxlength="80"

        		value="<?=$strOrgName?>" <?=$strDisabled?>></td>

    </tr>



    <tr bgcolor="white">

        <td><?=$orgTypeTitle?></td>

        <td>

            <select name="frmOrgType" <?=$strDisabled?>>

                <option><?=$strOrgType?></option>



<?php



// ==============================================================================

// *    Hier wird die Auswahlliste "Anbieter" mit Eintrgen gefllt		*

// ==============================================================================

if ( isset($arrFirma) )							// Das Array wurde im Skript 'mySQLForm.inc.php' erzeugt

	foreach ($arrFirma as $key => $val)



	echo "<option>$val</option><br />";

// ==============================================================================



?>

            </select>

        </td>

    </tr>



    <tr bgcolor="white">

        <td valign="top"><?=$officeTime.$officeTimeNotice?></td>

        <td>

            <textarea cols="41" rows="4" wrap="virtual"

                name="frmOrgTime" <?=$strDisabled?>><?=$strOrgTime?></textarea>

        </td>

    </tr>



    <tr bgcolor="white">

        <td valign="top"  style="color:#FF8080"><?=$addrTitle?></td>

        <td>

            <table width="100%" border="0">

            <colgroup>

                <col width="30%" />

                <col width="70%" />

            </colgroup>

                <tr>

                    <td><i><?=$addrTypeTitle?></i></td>

                    <td>

                        <select name="frmAddrType" <?=$strDisabled?>>

                            <option value="<?=$strAddrType?>"><?=${$strAddrType}?></option>

<?php



// ==============================================================================

// * Hier wird die Auswahlliste "Art der Anschrift" mit Eintrgen gefllt 		*

// * Variablen-Werte werden aus der DB-Tabelle 'dictionary' geholt  			*

// ==============================================================================



if ( $strAddrType != 'job_letter' )

	echo "\n<option value=\"job_letter\">$job_letter</option>";



if ( $strAddrType != 'job_postal' )

	echo "\n<option value=\"job_postal\">$job_postal</option>";



if ( $strAddrType != 'priv' )

	echo "\n<option value=\"priv\">$priv</option>";



if ( $strAddrType != 'priv_job' )

	echo "\n<option value=\"priv_job\">$priv_job</option>";



// ==============================================================================



?>

                        </select>

                    </td>

                </tr><tr>

                    <td><i><?=$streetTitle?></i></td>

                    <td><input type="text" name="frmAddrStreet" size="54" maxlength="100"

                    		value="<?=$strAddrStreet?>" <?=$strDisabled?>></td>

                </tr><tr>

                    <td><i><?=$postBoxTitle?></i></td>

                    <td><input type="text" name="frmAddrPostBox"

                            size="7" maxlength="8" value="<?=$strAddrPostBox?>" <?=$strDisabled?>></td>

                </tr><tr>

                    <td><i><?=$townTitle?><font color="#FF8080"><?=$town?></i></font></td>

                    <td><input type="text" name="frmAddrPostCode" size="7" maxlength="6"

                         value="<?=$strAddrPostCode?>" <?=$strDisabled?>>&nbsp;

                        <input type="text" name="frmAddrTown" size="43" maxlength="100"

                        		value="<?=$strAddrTown?>" <?=$strDisabled?>>

                    </td>

                </tr><tr>

                    <td><i><?=$countryTitle?></i></td>

                    <td>

                        <select name="frmAddrCountry" <?=$strDisabled?>>

                            <option value="<?=$strAddrCountry?>"><?=${$strAddrCountry}?></option>

<?php



// ==================================================================

// * Hier wird die Auswahlliste "Land" mit Eintrgen gefllt 		*

// * Variablen-Werte werden aus der DB-Tabelle 'dictionary' geholt  *

// ==================================================================



if ( $strAddrCountry != 'de' )

	echo "\n<option value=\"de\">$de</option>";



if ( $strAddrCountry != 'au' )

	echo "\n<option value=\"au\">$au</option>";



if ( $strAddrCountry != 'it' )

	echo "\n<option value=\"it\">$it</option>";

// ==================================================================



?>

                        </select>

                    </td>

                </tr>

            </table>

        </td>

    </tr>



    <tr bgcolor="white">

        <td valign="top"><?=$communicationTitle?></td>

        <td>



            <table border="0" width="100%">

            <colgroup>

                <col width="40%" />

                <col width="60%" />

            </colgroup>

                <tr>

                    <td>



                        <table border="0" width="100%">

                        <colgroup>

                            <col width="25%" />

                            <col width="75%" />

                        </colgroup>

                            <tr>

                                <td><i><?=$telefTitle?></i></td>

                                    <td><input type="text" name="frmOrgTel" size="21" maxlength="50"

                                            value="<?=$strOrgTel?>" <?=$strDisabled?>></td>

                            </tr><tr>

                                    <td><i><?=$faxTitle?></i></td>

                                    <td><input type="text" name="frmOrgFax" size="21" maxlength="50"

                                                value="<?=$strOrgFax?>" <?=$strDisabled?>></td>

                            </tr>

                        </table>



                    </td>

                    <td valign="top">



                        <table border="0" width="100%">

                        <colgroup>

                            <col width="25%" />

                            <col width="75%" />

                        </colgroup>

                            <tr>

                                <td><i><?=$emailTitle?></i></td>

                                    <td><input type="text" name="frmOrgEmail" size="34" maxlength="255"

                                         value="<?=$strOrgEmail?>" <?=$strDisabled?>>

                                </td>

                            </tr><tr>

                                    <td><i><?=$wwwTitle?></i></td>

                                    <td><input type="text" name="frmOrgWww" size="34" maxlength="255"

                                    		value="<?=$strOrgWww?>" <?=$strDisabled?>>

                                	</td>

                            </tr>

                        </table>



        			</td>

                </tr>

            </table>

        </td>

    </tr>



</table><br />



<table width="700" border="0" align="center">

<colgroup>

    <col width="10%">

    <col width="72%">

    <col width="18%">

</colgroup>

    <tr>

        <td valign="top" align="right">

            <a href="#oben"><img src="../images/up.gif" border="0" align="left" width="14" height="10"></a>

        </td>

        <td align="right">

            <input type="reset" name="reset" value="<?=$reset?>">

        </td>

        <td align="right">

            <input type="submit" name="submit" value="<?=$submit?>">

        </td>

    </tr>

</table>



</form>



</body>

</html>

