<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// search.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript bietet dem Benutzer eine Auswahl zwischen drei Suchkriterien (Suche nach Manahme, nach Trger

// und nach Person) bei der Suche im Bereich "Beratung und Hilfestellung".

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php; rodin/include/connect.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 11.09.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// ============================================================================================

// * Zuerst werden unntige Session-Variablen auer Sprache (S_SESSION['lang']) entfernt  	  *

// ============================================================================================

foreach ($_SESSION as $key => $val)

{

	if ( $key != 'lang' ) unset ($_SESSION[$key]);

}

// ============================================================================================





// Aktuelle Seite abrufen

$_SESSION['site'] = './counselling/search.php';



// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';



// Session-Variable bekommt den Wert des aktuellen Bereiches

$_SESSION['area'] = 'counselling';





// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================



$strQuery = "SELECT dKey, dValue FROM dictionary WHERE dLang = '$strLang' AND dDomain IN ('search', 'counsSearch')";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// =====================================================================================================================



// Anzahl aller eingetragenen DB-Datenstze ermitteln =========================================

$strQuery = "SELECT count(*) as number FROM offers_counselling WHERE coun_offStatus = 'yes'";



$result = mysql_query($strQuery);

$line = mysql_fetch_array($result, MYSQL_ASSOC);



$intNum = $line['number'];

// ============================================================================================



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/main.css');



?>



<table align="center" border="0" width="700">

<colgroup>

   <col />

</colgroup>

    <tr>

        <td valign="top">

            <h5 style="color: #C0C0C0"><?=$siteName?></h5>

            <div align="center"><big><b><?=$greeting?></b></big></div>

        </td>

    </tr><tr>

    	<td>&nbsp;</td>

    </tr><tr>

        <td><p style="font-size:9pt"><?=$numEntryText1?>

        	<a href="allEntryShow.php?number=<?=$intNum?>" style="color:red"><b><?=$intNum?></b></a> <?=$numEntryText2?>

        </p></td>

	</tr><tr>

    	<td>&nbsp;</td>

    </tr><tr>

    	<td style="font-size:8pt"><br /><dfn><?=$text?></dfn></td>

    </tr><tr>

        <td  valign="top">

            <a href="./searchSimple.php"><?=$simpleSearch?></a><br /><br />

            <a href="./searchDetail.php"><?=$detailSearch?></a><br />

        </td>

    </tr>

</table>



</body>

</html>

