<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// entry.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript bietet dem Benutzer eine Auswahl von Formularen jeweils im Bereich "Bildung und Qualifizierung"

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php; rodin/include/connect.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 22.09.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// ============================================================================================

// * Zuerst werden unntige Session-Variablen auer der Sprache (S_SESSION['lang']) entfernt  *

// ============================================================================================

foreach ($_SESSION as $key => $val)

{

	if ( $key != 'lang' )

		unset ($_SESSION[$key]);

}

// ========================================================================================





// Aktuelle Seite festlegen

$_SESSION['site'] = './education/entry.php';





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';





// Session-Variable bekommt per GET den Wert des aktuellen Bereiches

$strArea = $_SESSION['area'] = 'education';





// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================



$strQuery = "SELECT dKey, dValue FROM dictionary WHERE dLang = '$strLang' AND dDomain IN ('entry', 'educEntry')";



// ---------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ---------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// =====================================================================================================================



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/main.css');



?>



<table align="center" border="0" width="700">

<colgroup>

    <col />

</colgroup>

	<tr><td>

		<h5 style="color: #C0C0C0"><?=$siteName?></h5>

	</td></tr>

</table>



<table align="center" border="0" width="550">

<colgroup>

    <col width="33%" span="3">

</colgroup>

   <tr>

        <td align="center"><a href="./quickForm.php"><i><?=$firstEntry?></i></a></td>

        <td align="center"><a href="./newMeas.php"><i><?=$newMeasure?></i></a></td>

        <td align="center"><a href="./dataChange.php"><i><?=$entryChange?></i></a></td>

   </tr>

</table>



<?php

// =====================================================================================

// *    connect.inc.php erzeugt das Gerst auf der Web-Site fr eingebundenen Texten   *

// =====================================================================================



include ('../include/connect.inc.php');

// =====================================================================================

?>

	<br /><hr width="80%" align="center" noshade="noshade" />

	

</body>

</html>

