<?php



////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// currentShow.inc.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript zeigt dem Benutzer die ermittelte Angebote im ausgewhlten Bereich.

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 11.09.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('./global.inc.php');

// ====================================================





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';



// Name der Tabelle

$strTable = $_SESSION['table'] = isset($_GET['table']) ? $_GET['table'] : $_SESSION['table'];

if ($strTable == '') exit;



// Bereich ermitteln

$strArea = substr($strTable, 7);



// Prfix definieren

$strPraefix = substr($strTable, 7, 4).'_';



// Feldernamen fr SQL-Query

$strID = $strPraefix.'offID';

$strStatus = $strPraefix.'offStatus';

$strDate = $strPraefix.'offEntryDate';

$strTitle = $strPraefix.'offTitle';

$strAddrID = $strPraefix.'offAddrID';

$strOrgID = $strPraefix.'offOrgID';



// Beim Sortieren der Eintrage (Skript ruft sich selber auf)

if ($_GET['order'])

{

	if ($_GET['order'] == $strDate)

		$strOrder = $strDate.' DESC';

	else

		$strOrder = $_GET['order'];

} else {

	$strOrder = $strDate.' DESC';

}

// ========================================================



// Aktuelles Datum

$datCurrent = mktime(0, 0, 0, date("m"), date("j"), date("Y"));



// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================

$strQuery = "SELECT dKey, dValue FROM dictionary

			 WHERE dLang = '$strLang' AND dDomain IN ('resultShow', 'currentShow')";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// ============================================================================================================





// Variable fr Site-Name

$siteName = $strArea == 'education' ? $educSite : $counsSite;





// Erforderliche Daten aus der Datenbank abrufen und in einem Array speichern =================================

$strQuery = "SELECT $strID, DATE_FORMAT(LEFT($strDate, 10), '%d.%m.%Y') AS measDate,

                    $strTitle, $strAddrID, $strOrgID, orgName, addrTown

                    FROM $strTable, organiser, addresses

                    WHERE $strStatus = 'yes' AND $strOrgID = orgID AND orgAddrID = addrID

                    AND ( $datCurrent - UNIX_TIMESTAMP(LEFT($strDate, 10)) <= 8035200 )

                    ORDER BY $strOrder";



$result = mysql_query($strQuery);

$i = 0;

// Resultat von SQL-Abfrage in dem Array speichern

while ($line = mysql_fetch_array($result, MYSQL_ASSOC))

{

    $i++;

    foreach ( $line as $key => $val ) {

        $arrMeasResult[$i][$key] = $val;

    }

}

// ============================================================================================================



// HTML-Grundgerst und Kopfdaten

include('./header.htm');



//Stylesheet-Datei einbinden

include('./resTables.css');



?>



    <table align="center" border="0" width="700">

    <colgroup>

       <col />

    </colgroup>

        <tr>

            <td valign="top">

                <h5 style="color: #C0C0C0"><?=$siteName?></h5>

            </td>

            </tr><tr>

                <td><a href="../websites/current.php" style="color: blue">&lt;&lt;&lt; &nbsp;

                    <?=$linkBack?></a><br /><br />

                </td>

            </tr><tr>

                <td  style="font-size:8pt">

                    <dfn><?=$text?></dfn><br /><br />

                </td>

            </tr><tr>



            <table width="700" border="0" cellpadding="4" cellspacing="1" bgcolor="#C0C0C0" align="center">

            <colgroup>

               <col width="35%" />

               <col width="13%" />

               <col width="20%" />

               <col width="32%" />

            </colgroup>

                <th bgcolor="#EEEEEE" valign="top">

                    <a href="./currentShow.inc.php?order=<?=$strTitle?>" style="color: blue"><?=$measTitle?></a>

                </th>

                <th bgcolor="#EEEEEE" valign="top">

                    <a href="./currentShow.inc.php?order=<?=$strDate?>" style="color: blue"><?=$dateTitle?></a>

                </th>

                <th bgcolor="#EEEEEE" valign="top">

                    <a href="./currentShow.inc.php?order=addrTown" style="color: blue"><?=$placeTitle?></a>

                </th>

                <th bgcolor="#EEEEEE" valign="top">

                    <a href="./currentShow.inc.php?order=orgName" style="color: blue"><?=$orgTitle?></a>

                </th>

<?php

// Ermittelte Eintrge ausgeben

for ($y=1;$y<=$i;$y++) {

	if ( !fmod($y, 2) )

		$color = '#EEEEEE';

	else

		$color = 'white';



	echo "<tr><td bgcolor=\"$color\"><a href=\"../$strArea/resultPage.php?id=";

	echo $arrMeasResult[$y][$strID];

	echo "\" target=\"_blank\">";

	echo $arrMeasResult[$y][$strTitle];

	echo "</a></td><td bgcolor=\"$color\" align=\"center\">";

	echo $arrMeasResult[$y]['measDate'];

	echo "</td><td bgcolor=\"$color\" align=\"center\">";

	echo $arrMeasResult[$y]['addrTown'];

	echo "</td><td bgcolor=\"$color\"><a href=\"../$strArea/resultPage.php?id=";

	echo $arrMeasResult[$y][$strID];

	echo "\" target=\"_blank\">";

	echo $arrMeasResult[$y]['orgName'];

	echo "</a></td></tr>\n";

}



?>

            </table>

        </td></tr>

    </table>



</body>

</html>