<?php



////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// detailFormCheck.inc.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript wird vom detailFormConf.php aufgerufen.

//

// Das Skript bearbeitet die per POST empfangenen von detailForm.php Eingaben im Bereich "Bildung und Qualifizierung"

// bzw. "Beratung und Hilfestellung". Die Formulardaten werden auf Plausibilitt geprft und im Erfolgsfall

// in SESSION abgelegt.

//

// Wenn das Feld gefllt war, wird sein Wert in SESSION-Variable gespeichert.

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 23.09.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// Die Dateienthlt alle vermwendeten im Skript Funktionen

include('../include/functions.inc.php');



// Aktuelles Datum

$datCurrent = mktime(0, 0, 0, date("m"), date("d"), date("Y"));



// Variable fr markierte Radiobuttons

$strChecked = "checked=\"checked\"";





// ===============================================================================================================

// *	            	******************************************************************						 *		// * 						 		Daten aus dem detailierten Formular bearbeiten					     		 *

// *	            	******************************************************************						 *		// ===============================================================================================================





//   		                     =========================================

//                               *                                       *

//                               *        Kontaktperson des Trgers      *

//                               *                                       *

//                               =========================================



switch (TRUE)



{



// ===============================================================================================================

// * 								Angaben zur Kontaktperson des Trgers										 *

// ===============================================================================================================





// --------------------------------------------- Titel --------------------------------------------

	case isset( $_POST['frmOrgPersTitle'] ):

		 if ( trim( $_POST['frmOrgPersTitle'] ) != '' )

	     	$_SESSION['org_persTitle'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOrgPersTitle'] ) ) );

	     else

	     	unset ( $_SESSION['org_persTitle'] );





// --------------------------------------------- Anrede --------------------------------------------

	case isset( $_POST['frmOrgPersSex'] ):

		 if ( trim( $_POST['frmOrgPersTitle'].$_POST['frmOrgPersFirstName'].$_POST['frmOrgPersLastName'].

		 	   $_POST['frmOrgPersPosition'].$_POST['frmOrgPersAddrStreet'].$_POST['frmOrgPersAddrPostBox'].

		 	   $_POST['frmOrgPersAddrPostCode'].$_POST['frmOrgPersAddrTown'].$_POST['frmOrgPersTel'].

		 	   $_POST['frmOrgPersMobile'].$_POST['frmOrgPersFax'].$_POST['frmOrgPersEmail'].

		 	   $_POST['frmOrgPersWww'].$_POST['frmOrgPersDescr'] ) != '' )

		 	   

	     	$_SESSION['org_persSex'] = $_POST['frmOrgPersSex'];

	     else

	     	unset ( $_SESSION['org_persSex'] );





// --------------------------------------------- Vorname --------------------------------------------

	case isset( $_POST['frmOrgPersFirstName'] ):

		 if ( trim( $_POST['frmOrgPersFirstName'] ) != '' )

	     	$_SESSION['org_persFirstName'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOrgPersFirstName'] ) ) );

	     else

	     	unset ( $_SESSION['org_persFirstName'] );





// --------------------------------------------- Nachname --------------------------------------------

	case isset( $_POST['frmOrgPersLastName'] ):

		 if ( trim( $_POST['frmOrgPersLastName'] ) != '' )

	     	$_SESSION['org_persLastName'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOrgPersLastName'] ) ) );

	     else

	     	unset ( $_SESSION['org_persLastName'] );





// --------------------------------------------- Position --------------------------------------------

	case isset( $_POST['frmOrgPersPosition'] ):

		 if ( trim( $_POST['frmOrgPersPosition'] ) != '' )

	     	$_SESSION['org_persPosition'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOrgPersPosition'] ) ) );

	     else

	     	unset ( $_SESSION['org_persPosition'] );





// --------------------------------------------- Art der Adresse -------------------------------------

	case isset( $_POST['frmOrgPersAddrType'] ):

		 if ( trim( $_POST['frmOrgPersAddrTown'].$_POST['frmOrgPersAddrStreet'].$_POST['frmOrgPersAddrPostBox'].

		 	  $_POST['frmOrgPersAddrPostCode'].$_POST['frmOrgPersAddrTown'] ) != '' )



	     	$_SESSION['org_addrType'] = $_POST['frmOrgPersAddrType'];

	     else

	     	unset ( $_SESSION['org_addrType'] );



// --------------------------------------------- Strae ----------------------------------------------

	case isset( $_POST['frmOrgPersAddrStreet'] ):

		 if ( trim( $_POST['frmOrgPersAddrStreet'] ) != '' )



	     	$_SESSION['org_addrStreet'] = MySQL_Adapt( stripslashes( trim($_POST['frmOrgPersAddrStreet']) ) );

	     else

	     	unset ( $_SESSION['org_addrStreet'] );



// --------------------------------------------- Postfach --------------------------------------------

	case isset( $_POST['frmOrgPersAddrPostBox'] ):

		 if ( trim( $_POST['frmOrgPersAddrPostBox'] ) != '' )



	     	$_SESSION['org_addrPostBox'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOrgPersAddrPostBox']) ) );

	     else

	     	unset ( $_SESSION['org_addrPostBox'] );



// --------------------------------------------- PLZ -------------------------------------------------

	case isset( $_POST['frmOrgPersAddrPostCode'] ):

		 if ( trim( $_POST['frmOrgPersAddrPostCode'] ) != '' )

		 {

			$help = trim($_POST['frmOrgPersAddrPostCode']);

	     	$_SESSION['org_addrPostCode'] = PostCode_Check($help);

	     } else

	     		unset ( $_SESSION['org_addrPostCode'] );



// --------------------------------------------- Ort -------------------------------------------------

	case isset( $_POST['frmOrgPersAddrTown'] ):

		 if ( trim( $_POST['frmOrgPersAddrTown'] ) != '' )



	     	$_SESSION['org_addrTown'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOrgPersAddrTown'] ) ) );

	     else

	     	unset ( $_SESSION['org_addrTown'] );



// --------------------------------------------- Land -------------------------------------------------

	case isset( $_POST['frmOrgPersAddrCountry'] ):

		 if ( trim( $_POST['frmOrgPersAddrTown'].$_POST['frmOrgPersAddrStreet'].$_POST['frmOrgPersAddrPostBox'].

		 	  $_POST['frmOrgPersAddrPostCode'].$_POST['frmOrgPersAddrTown'] ) != '' )



			$_SESSION['org_addrCountry'] = $_POST['frmOrgPersAddrCountry'];

	     else

	     	unset ( $_SESSION['org_addrCountry'] );



// --------------------------------------------- Telefon -----------------------------------------------

	case isset( $_POST['frmOrgPersTel'] ):

		if ( trim( $_POST['frmOrgPersTel'] ) != '' )



	     	$_SESSION['org_persTel'] = MySQL_Adapt( stripslashes( trim($_POST['frmOrgPersTel']) ) );

	     else

	     	unset ( $_SESSION['org_persTel'] );



// --------------------------------------------- Mobile ------------------------------------------------

	case isset( $_POST['frmOrgPersMobile'] ):

		 if ( trim( $_POST['frmOrgPersMobile'] ) != '' )



	     	$_SESSION['org_persMobile'] = MySQL_Adapt( stripslashes( trim($_POST['frmOrgPersMobile']) ) );

	     else

	     	unset ( $_SESSION['org_persMobile'] );



// --------------------------------------------- Fax ---------------------------------------------------

	case isset( $_POST['frmOrgPersFax'] ):

		 if ( trim( $_POST['frmOrgPersFax'] ) != '' )



	     	$_SESSION['org_persFax'] = MySQL_Adapt( stripslashes( trim($_POST['frmOrgPersFax']) ) );

	     else

	     	unset ( $_SESSION['org_persFax'] );



// --------------------------------------------- E-Mail ------------------------------------------------

	case isset( $_POST['frmOrgPersEmail'] ):

		 if ( trim( $_POST['frmOrgPersEmail'] ) != '' )



	     	$_SESSION['org_persEmail'] = MySQL_Adapt( stripslashes( trim($_POST['frmOrgPersEmail']) ) );

	     else

	     	unset ( $_SESSION['org_persEmail'] );



// --------------------------------------------- Homepage -----------------------------------------------

	case isset( $_POST['frmOrgPersWww'] ):

		 if ( trim( $_POST['frmOrgPersWww'] ) != '' )



	     	$_SESSION['org_persWww'] = MySQL_Adapt( stripslashes( trim($_POST['frmOrgPersWww']) ) );

	     else

	     	unset ( $_SESSION['org_persWww'] );



// --------------------------------------------- Beschreibung -------------------------------------------

	case isset( $_POST['frmOrgPersDescr'] ):

		 if ( trim( $_POST['frmOrgPersDescr'] ) != '' )

		 {

			$help = substr(trim($_POST['frmOrgPersDescr']), 0, 500);

	     	$_SESSION['org_persDescr'] = MySQL_Adapt( stripslashes($help) );

	     } else

	     	unset ( $_SESSION['org_persDescr'] );







// ===============================================================================================================

// * 								Angaben zur Kontaktperson fr die Manahme									 *

// ===============================================================================================================



// --------------------------------------------- Titel --------------------------------------------

	case isset( $_POST['frmOffPersTitle'] ):

		 if ( trim( $_POST['frmOffPersTitle'] ) != '' )

	     	$_SESSION['off_persTitle'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOffPersTitle'] ) ) );

	     else

	     	unset ( $_SESSION['off_persTitle'] );





// --------------------------------------------- Anrede --------------------------------------------

	case isset( $_POST['frmOffPersSex'] ):

		 if ( trim( $_POST['frmOffPersTitle'].$_POST['frmOffPersFirstName'].$_POST['frmOffPersLastName'].

		 	   $_POST['frmOffPersPosition'].$_POST['frmOffPersAddrStreet'].$_POST['frmOffPersAddrPostBox'].

		 	   $_POST['frmOffPersAddrPostCode'].$_POST['frmOffPersAddrTown'].$_POST['frmOffPersTel'].

		 	   $_POST['frmOffPersMobile'].$_POST['frmOffPersFax'].$_POST['frmOffPersEmail'].

		 	   $_POST['frmOffPersWww'].$_POST['frmOffPersDescr'] ) != '' )

		 	   

	     	$_SESSION['off_persSex'] = $_POST['frmOffPersSex'];

	     else

	     	unset ( $_SESSION['off_persSex'] );





// --------------------------------------------- Vorname --------------------------------------------

	case isset( $_POST['frmOffPersFirstName'] ):

		 if ( trim( $_POST['frmOffPersFirstName'] ) != '' )

	     	$_SESSION['off_persFirstName'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOffPersFirstName'] ) ) );

	     else

	     	unset ( $_SESSION['off_persFirstName'] );





// --------------------------------------------- Nachname --------------------------------------------

	case isset( $_POST['frmOffPersLastName'] ):

		 if ( trim( $_POST['frmOffPersLastName'] ) != '' )

	     	$_SESSION['off_persLastName'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOffPersLastName'] ) ) );

	     else

	     	unset ( $_SESSION['off_persLastName'] );





// --------------------------------------------- Position --------------------------------------------

	case isset( $_POST['frmOffPersPosition'] ):

		 if ( trim( $_POST['frmOffPersPosition'] ) != '' )

	     	$_SESSION['off_persPosition'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOffPersPosition'] ) ) );

	     else

	     	unset ( $_SESSION['off_persPosition'] );





// --------------------------------------------- Art der Adresse -------------------------------------

	case isset( $_POST['frmOffPersAddrType'] ):

		 if ( trim( $_POST['frmOffPersAddrTown'].$_POST['frmOffPersAddrStreet'].$_POST['frmOffPersAddrPostBox'].

		 	  $_POST['frmOffPersAddrPostCode'].$_POST['frmOffPersAddrTown'] ) != '' )



	     	$_SESSION['off_addrType'] = $_POST['frmOffPersAddrType'];

	     else

	     	unset ( $_SESSION['off_addrType'] );



// --------------------------------------------- Strae ----------------------------------------------

	case isset( $_POST['frmOffPersAddrStreet'] ):

		 if ( trim( $_POST['frmOffPersAddrStreet'] ) != '' )



	     	$_SESSION['off_addrStreet'] = MySQL_Adapt( stripslashes( trim($_POST['frmOffPersAddrStreet']) ) );

	     else

	     	unset ( $_SESSION['off_addrStreet'] );



// --------------------------------------------- Postfach --------------------------------------------

	case isset( $_POST['frmOffPersAddrPostBox'] ):

		 if ( trim( $_POST['frmOffPersAddrPostBox'] ) != '' )



	     	$_SESSION['off_addrPostBox'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOffPersAddrPostBox']) ) );

	     else

	     	unset ( $_SESSION['off_addrPostBox'] );



// --------------------------------------------- PLZ -------------------------------------------------

	case isset( $_POST['frmOffPersAddrPostCode'] ):

		 if ( trim( $_POST['frmOffPersAddrPostCode'] ) != '' )

		 {

			$help = trim($_POST['frmOffPersAddrPostCode']);

	     	$_SESSION['off_addrPostCode'] = PostCode_Check($help);

	     } else

	     		unset ( $_SESSION['off_addrPostCode'] );



// --------------------------------------------- Ort -------------------------------------------------

	case isset( $_POST['frmOffPersAddrTown'] ):

		 if ( trim( $_POST['frmOffPersAddrTown'] ) != '' )



	     	$_SESSION['off_addrTown'] = MySQL_Adapt( stripslashes( trim( $_POST['frmOffPersAddrTown'] ) ) );

	     else

	     	unset ( $_SESSION['off_addrTown'] );



// --------------------------------------------- Land -------------------------------------------------

	case isset( $_POST['frmOffPersAddrCountry'] ):

		 if ( trim( $_POST['frmOffPersAddrTown'].$_POST['frmOffPersAddrStreet'].$_POST['frmOffPersAddrPostBox'].

		 	  $_POST['frmOffPersAddrPostCode'].$_POST['frmOffPersAddrTown'] ) != '' )



			$_SESSION['off_addrCountry'] = $_POST['frmOffPersAddrCountry'];

	     else

	     	unset ( $_SESSION['off_addrCountry'] );



// --------------------------------------------- Telefon -----------------------------------------------

	case isset( $_POST['frmOffPersTel'] ):

		if ( trim( $_POST['frmOffPersTel'] ) != '' )



	     	$_SESSION['off_persTel'] = MySQL_Adapt( stripslashes( trim($_POST['frmOffPersTel']) ) );

	     else

	     	unset ( $_SESSION['off_persTel'] );



// --------------------------------------------- Mobile ------------------------------------------------

	case isset( $_POST['frmOffPersMobile'] ):

		 if ( trim( $_POST['frmOffPersMobile'] ) != '' )



	     	$_SESSION['off_persMobile'] = MySQL_Adapt( stripslashes( trim($_POST['frmOffPersMobile']) ) );

	     else

	     	unset ( $_SESSION['off_persMobile'] );



// --------------------------------------------- Fax ---------------------------------------------------

	case isset( $_POST['frmOffPersFax'] ):

		 if ( trim( $_POST['frmOffPersFax'] ) != '' )



	     	$_SESSION['off_persFax'] = MySQL_Adapt( stripslashes( trim($_POST['frmOffPersFax']) ) );

	     else

	     	unset ( $_SESSION['off_persFax'] );



// --------------------------------------------- E-Mail ------------------------------------------------

	case isset( $_POST['frmOffPersEmail'] ):

		 if ( trim( $_POST['frmOffPersEmail'] ) != '' )



	     	$_SESSION['off_persEmail'] = MySQL_Adapt( stripslashes( trim($_POST['frmOffPersEmail']) ) );

	     else

	     	unset ( $_SESSION['off_persEmail'] );



// --------------------------------------------- Homepage -----------------------------------------------

	case isset( $_POST['frmOffPersWww'] ):

		 if ( trim( $_POST['frmOffPersWww'] ) != '' )



	     	$_SESSION['off_persWww'] = MySQL_Adapt( stripslashes( trim($_POST['frmOffPersWww']) ) );

	     else

	     	unset ( $_SESSION['off_persWww'] );



// --------------------------------------------- Beschreibung -------------------------------------------

	case isset( $_POST['frmOffPersDescr'] ):

		 if ( trim( $_POST['frmOffPersDescr'] ) != '' )

		 {

			$help = substr(trim($_POST['frmOffPersDescr']), 0, 500);

	     	$_SESSION['off_persDescr'] = MySQL_Adapt( stripslashes($help) );

	     } else

	     	unset ( $_SESSION['off_persDescr'] );





// ===============================================================================================================

// * 										Angaben zur Manahme				     							 *

// ===============================================================================================================





// --------------------------------------------- Ort und Land ---------------------------------------------

	case isset( $_POST['frmMeasTown'] ):



		 if ( trim( $_POST['frmMeasTown'] ) != '' ) {

	     	$_SESSION['meas_addrTown'] = MySQL_Adapt( stripslashes( trim( $_POST['frmMeasTown'] ) ) );



	     	$_SESSION['meas_addrCountry'] = $_POST['frmMeasCountry'];

	     }

	     else {

	     	unset ( $_SESSION['meas_addrTown'] );

	     	unset ( $_SESSION['meas_addrCountry'] );

	     }



// --------------------------------------------- Voll/Teilzeit --------------------------------------------

	case isset( $_POST['frmMeasFullTime'] ):



        if ( $_POST['frmMeasFullTime'] != '' )

        {

            $_SESSION['meas_offFullTime'] = $_POST['frmMeasFullTime'];



            unset($_SESSION['meas_offFullTimeCheck1']); unset($_SESSION['meas_offFullTimeCheck2']);

			unset($_SESSION['meas_offFullTimeCheck3']); unset($_SESSION['meas_offFullTimeCheck4']);



            switch ($_SESSION['meas_offFullTime'])

            {

                case "fullTime":

                    $_SESSION['meas_offFullTimeCheck1'] = $strChecked;

                    break;

                case "partTime":

                    $_SESSION['meas_offFullTimeCheck2'] = $strChecked;

                    break;

                case "byTheHour":

                    $_SESSION['meas_offFullTimeCheck3'] = $strChecked;

                    break;

                case "byTheDay":

                    $_SESSION['meas_offFullTimeCheck4'] = $strChecked;

                    break;



            }

        }



        else

        {

            unset($_SESSION['meas_offFullTime']);

            unset($_SESSION['meas_offFullTimeCheck1']); unset($_SESSION['meas_offFullTimeCheck2']);

        }



// -------------------------------------------- Unrzeit ---------------------------------------------



	case isset($_POST['frmMeasTimeText']):



		if ( trim($_POST['frmMeasTimeText']) != '' ) {

			$help = substr(trim($_POST['frmMeasTimeText']), 0, 500);

			$_SESSION['meas_offTime'] = MySQL_Adapt( stripslashes($help) );

		} else

			unset( $_SESSION['meas_offTime'] );



// --------------------------------------------- Tele/Heimarbeit ---------------------------------------------

	case isset( $_POST['frmMeasTeleJob'] ):



        if ( $_POST['frmMeasTeleJob'] != '' )

        {

            $_SESSION['meas_offTeleJob'] = $_POST['frmMeasTeleJob'];



            unset($_SESSION['meas_offTeleJobCheck1']); unset($_SESSION['meas_offTeleJobCheck2']);



            switch ($_SESSION['meas_offTeleJob'])

            {

                case "yes":

                    $_SESSION['meas_offTeleJobCheck1'] = $strChecked;



                    if ( isset( $_POST['frmMeasTeleJobText'] ) and trim ($_POST['frmMeasTeleJobText']) != '' )

                    	$_SESSION['meas_offTeleJobText'] =

                    						  MySQL_Adapt( stripslashes( trim ($_POST['frmMeasTeleJobText']) ) );



                    break;

                case "no":

                    $_SESSION['meas_offTeleJobCheck2'] = $strChecked;

                    unset($_SESSION['meas_offTeleJobText']);

                    break;

            }

        }



        else

        {

            unset($_SESSION['meas_offTeleJob']);

            unset($_SESSION['meas_offTeleJobCheck1']); unset($_SESSION['meas_offTeleJobCheck2']);

            unset($_SESSION['meas_offTeleJobText']);

        }



// --------------------------------------------- Faltbltter etc. ---------------------------------------------

	case isset( $_POST['frmMeasBook'] ):



		if ( $_POST['frmMeasBook'] != '' ) {

            $_SESSION['infoBook'] = $_POST['frmMeasBook'];

            $_SESSION['checkBook'] = $strChecked;

        } else {

        	unset($_SESSION['infoBook']);

			unset($_SESSION['checkBook']);

		}



// --------------------------------------------- Berichte etc. ---------------------------------------------

	case isset( $_POST['frmMeasReport'] ):



		if ( $_POST['frmMeasReport'] != '' ) {

            $_SESSION['infoReport'] = $_POST['frmMeasReport'];

            $_SESSION['checkReport'] = $strChecked;

        } else {

        	unset($_SESSION['infoReport']);

			unset($_SESSION['checkReport']);

		}



// --------------------------------------------- Website ---------------------------------------------

	case isset( $_POST['frmMeasWeb'] ):

		if ( $_POST['frmMeasWeb'] != '' ) {

            $_SESSION['infoWeb'] = $_POST['frmMeasWeb'];

            $_SESSION['checkWeb'] = $strChecked;



            if ( isset( $_POST['frmMeasWebText']) AND trim($_POST['frmMeasWebText']) != '' )

             	$_SESSION['meas_offWebText'] = trim($_POST['frmMeasWebText']);

            else {

                unset($_SESSION['infoWeb']);

                unset($_SESSION['checkWeb']);

                unset($_SESSION['meas_offWebText']);

            }

        } else {

        	unset($_SESSION['infoWeb']);

			unset($_SESSION['checkWeb']);

			unset($_SESSION['meas_offWebText']);

		}



// --------------------------------------------- DVD/Video ---------------------------------------------

	case isset( $_POST['frmMeasVideo'] ):

		if ( $_POST['frmMeasVideo'] != '' ) {

            $_SESSION['infoVideo'] = $_POST['frmMeasVideo'];

            $_SESSION['checkVideo'] = $strChecked;

        } else {

        	unset($_SESSION['infoVideo']);

			unset($_SESSION['checkVideo']);

		}



// --------------------------------------------- CD-ROM ---------------------------------------------

	case isset( $_POST['frmMeasCdrom'] ):

		if ( $_POST['frmMeasCdrom'] != '' ) {

            $_SESSION['infoCdrom'] = $_POST['frmMeasCdrom'];

            $_SESSION['checkCdrom'] = $strChecked;

        } else {

        	unset($_SESSION['infoCdrom']);

			unset($_SESSION['checkCdrom']);

		}



// --------------------------------------------- Sonstiges ---------------------------------------------

	case isset( $_POST['frmMeasOther'] ):

		if ( $_POST['frmMeasOther'] != '' ) {

            $_SESSION['infoOther'] = $_POST['frmMeasOther'];

            $_SESSION['checkOther'] = $strChecked;



            if ( isset( $_POST['frmMeasOtherText']) AND trim($_POST['frmMeasOtherText']) != '' )

             	$_SESSION['meas_offOtherText'] = trim($_POST['frmMeasOtherText']);

            else {

                unset($_SESSION['infoOther']);

                unset($_SESSION['checkOther']);

                unset($_SESSION['meas_offOtherText']);

            }

        } else {

        	unset($_SESSION['infoOther']);

			unset($_SESSION['checkOther']);

			unset($_SESSION['meas_offOtherText']);

		}



// --------------------------------------------- Kosten ---------------------------------------------

	case isset( $_POST['frmMeasCostDuty'] ):



        if ( $_POST['frmMeasCostDuty'] != '' )

        {

            $_SESSION['meas_offCostDuty'] = $_POST['frmMeasCostDuty'];



            unset($_SESSION['meas_offCostCheck1']); unset($_SESSION['meas_offCostCheck2']);

            unset($_SESSION['meas_offCostCheck3']);



            switch ($_SESSION['meas_offCostDuty'])

            {

                case "yes":

                    $_SESSION['meas_offCostCheck1'] = $strChecked;



                    if ( isset( $_POST['frmMeasCostSum'] ) and trim ($_POST['frmMeasCostSum']) != '' )

                    	$_SESSION['meas_offCostSum'] = MySQL_Adapt( stripslashes( trim ($_POST['frmMeasCostSum']) ) );



					unset($_SESSION['meas_offCostText']);

                    break;



                case "no":

                    $_SESSION['meas_offCostCheck2'] = $strChecked;

                    unset($_SESSION['meas_offCostSum']); unset($_SESSION['meas_offCostText']);



                    break;



                case "possibly":

                    $_SESSION['meas_offCostCheck3'] = $strChecked;



                    if ( isset( $_POST['frmMeasCostText'] ) and trim ($_POST['frmMeasCostText']) != '' )

                    {

                    	$help = substr(trim ($_POST['frmMeasCostText']), 0, 500 );

                    	$_SESSION['meas_offCostText'] = MySQL_Adapt( stripslashes($help) );

					}



                    unset($_SESSION['meas_offCostSum']);



                    break;



            }

        }



        else

        {

            unset($_SESSION['meas_offCostCheck1']); unset($_SESSION['meas_offCostCheck2']);

            unset($_SESSION['meas_offCostCheck3']); unset($_SESSION['meas_offCostSum']);

            unset($_SESSION['meas_offCostText']);

        }



// --------------------------------------------- Frdervoraussetzung -------------------------------------------

	case isset( $_POST['frmMeasCondition'] ):

		 if ( trim( $_POST['frmMeasCondition'] ) != '' ) {

			$help = substr(trim ($_POST['frmMeasCondition']), 0, 500 );

	     	$_SESSION['meas_offCondition'] = MySQL_Adapt( stripslashes($help) );

	     } else

	     	unset ( $_SESSION['meas_offCondition'] );



// --------------------------------------------- Ntige Vorkenntnisse ------------------------------------------



// --------------------------------- Sprache ---------------------------------



	case isset( $_POST['frmMeasLang'] ) and isset( $_POST['frmMeasLangText'] ):



        if ( $_POST['frmMeasLangText'] != '' )

        {

            $_SESSION['meas_offLang'] = $_POST['frmMeasLang'];



            unset($_SESSION['meas_offLangCheck1']); unset($_SESSION['meas_offLangCheck2']);

            unset($_SESSION['meas_offLangCheck3']);



            switch ($_SESSION['meas_offLang'])

            {

                case "little":

                    $_SESSION['meas_offLangCheck1'] = $strChecked;



                    if ( isset( $_POST['frmMeasLangText'] ) and trim ($_POST['frmMeasLangText']) != '' )

                    	$_SESSION['meas_offLangText'] =

                    					   MySQL_Adapt( stripslashes(  trim ($_POST['frmMeasLangText']) ) );



					break;



                case "good":

                    $_SESSION['meas_offLangCheck2'] = $strChecked;



                    if ( isset( $_POST['frmMeasLangText'] ) and trim ($_POST['frmMeasLangText']) != '' )

                    	$_SESSION['meas_offLangText'] =

                    					  MySQL_Adapt( stripslashes( trim ($_POST['frmMeasLangText']) ) );



					break;



                case "veryGood":

                    $_SESSION['meas_offLangCheck3'] = $strChecked;



                    if ( isset( $_POST['frmMeasLangText'] ) and trim ($_POST['frmMeasLangText']) != '' )

                    	$_SESSION['meas_offLangText'] =

                    					   MySQL_Adapt( stripslashes( trim ($_POST['frmMeasLangText']) ) );



					break;





            }

        }



        else

        {

            unset($_SESSION['meas_offLangCheck1']); unset($_SESSION['meas_offLangCheck2']);

            unset($_SESSION['meas_offLangCheck3']);

            unset($_SESSION['meas_offLang']);unset($_SESSION['meas_offLangText']);

         }



// --------------------------------- Schulische Vorbildung ---------------------------------



	case isset( $_POST['frmMeasSchool'] ) and isset( $_POST['frmMeasSchoolText'] ):



        if ( $_POST['frmMeasSchoolText'] != '' )

        {

            $_SESSION['meas_offSchool'] = $_POST['frmMeasSchool'];



            unset($_SESSION['meas_offSchoolCheck1']); unset($_SESSION['meas_offSchoolCheck2']);



            switch ($_SESSION['meas_offSchool'])

            {

                case "required":

                    $_SESSION['meas_offSchoolCheck1'] = $strChecked;



                    if ( isset( $_POST['frmMeasSchoolText'] ) and trim ($_POST['frmMeasSchoolText']) != '' )

                    	$_SESSION['meas_offSchoolText'] =

                    					     MySQL_Adapt( stripslashes( trim ($_POST['frmMeasSchoolText']) ) );



					break;



                case "advantageous":

                    $_SESSION['meas_offSchoolCheck2'] = $strChecked;



                    if ( isset( $_POST['frmMeasSchoolText'] ) and trim ($_POST['frmMeasSchoolText']) != '' )

                    	$_SESSION['meas_offSchoolText'] =

                    					     MySQL_Adapt( stripslashes( trim ($_POST['frmMeasSchoolText']) ) );



					break;



            }

        }



        else

        {

            unset($_SESSION['meas_offSchoolCheck1']); unset($_SESSION['meas_offSchoolCheck2']);

            unset($_SESSION['meas_offSchool']);unset($_SESSION['meas_offSchoolText']);

         }



// --------------------------------- Berufliche Vorbildung ---------------------------------



	case isset( $_POST['frmMeasJob'] ) and isset( $_POST['frmMeasJobText'] ):



        if ( $_POST['frmMeasJobText'] != '' )

        {

            $_SESSION['meas_offJob'] = $_POST['frmMeasJob'];



            unset($_SESSION['meas_offJobCheck1']); unset($_SESSION['meas_offJobCheck2']);



            switch ($_SESSION['meas_offJob'])

            {

                case "required":

                    $_SESSION['meas_offJobCheck1'] = $strChecked;



                    if ( isset( $_POST['frmMeasJobText'] ) and trim ($_POST['frmMeasJobText']) != '' )

                    	$_SESSION['meas_offJobText'] =

                    					  MySQL_Adapt( stripslashes( trim ($_POST['frmMeasJobText']) ) );



					break;



                case "advantageous":

                    $_SESSION['meas_offJobCheck2'] = $strChecked;



                    if ( isset( $_POST['frmMeasJobText'] ) and trim ($_POST['frmMeasJobText']) != '' )

                    	$_SESSION['meas_offJobText'] =

                    					  MySQL_Adapt( stripslashes( trim ($_POST['frmMeasJobText']) ) );



					break;



            }

        }



        else

        {

            unset($_SESSION['meas_offJobCheck1']); unset($_SESSION['meas_offJobCheck2']);

            unset($_SESSION['meas_offJob']);unset($_SESSION['meas_offJobText']);

         }



// --------------------------------- Grundkenntnisse -----------------------------------



	case isset( $_POST['frmMeasBasic'] ) and isset( $_POST['frmMeasBasicText'] ):



        if ( $_POST['frmMeasBasicText'] != '' )

        {

            $_SESSION['meas_offBasic'] = $_POST['frmMeasBasic'];



            unset($_SESSION['meas_offBasicCheck1']); unset($_SESSION['meas_offBasicCheck2']);



            switch ($_SESSION['meas_offBasic'])

            {

                case "required":

                    $_SESSION['meas_offBasicCheck1'] = $strChecked;



                    if ( isset( $_POST['frmMeasBasicText'] ) and trim ($_POST['frmMeasBasicText']) != '' )

                    	$_SESSION['meas_offBasicText'] =

                    						MySQL_Adapt( stripslashes( trim ($_POST['frmMeasBasicText']) ) );



					break;



                case "advantageous":

                    $_SESSION['meas_offBasicCheck2'] = $strChecked;



                    if ( isset( $_POST['frmMeasBasicText'] ) and trim ($_POST['frmMeasBasicText']) != '' )

                    	$_SESSION['meas_offBasicText'] =

                    						MySQL_Adapt( stripslashes( trim ($_POST['frmMeasBasicText']) ) );



					break;



            }



        }



        else

        {

            unset($_SESSION['meas_offBasicCheck1']); unset($_SESSION['meas_offBasicCheck2']);

            unset($_SESSION['meas_offBasic']);unset($_SESSION['meas_offBasicText']);

        }

// --------------------------------------------- Verkehr ---------------------------------------------

	case isset( $_POST['frmMeasTransport'] ):



        if ( $_POST['frmMeasTransport'] != '' )

        {

            $_SESSION['meas_offTransport'] = $_POST['frmMeasTransport'];



            unset($_SESSION['meas_offTransportCheck1']); unset($_SESSION['meas_offTransportCheck2']);

            unset($_SESSION['meas_offTransportCheck3']);



            switch ($_SESSION['meas_offTransport'])

            {

                case "bad":

                    $_SESSION['meas_offTransportCheck1'] = $strChecked;



                    if ( isset( $_POST['frmMeasTransportText'] ) and trim ($_POST['frmMeasTransportText']) != '' )

                    {

                    	$help = substr(trim ($_POST['frmMeasTransportText']), 0, 500 );

                    	$_SESSION['meas_offTransportText'] = MySQL_Adapt( stripslashes($help) );

					}

                    break;



                case "sufficient":

                    $_SESSION['meas_offTransportCheck2'] = $strChecked;



                    if ( isset( $_POST['frmMeasTransportText'] ) and trim ($_POST['frmMeasTransportText']) != '' )

                    {

                    	$help = substr(trim ($_POST['frmMeasTransportText']), 0, 500 );

                    	$_SESSION['meas_offTransportText'] = MySQL_Adapt( stripslashes($help) );

					}

                    break;



                case "good":

                    $_SESSION['meas_offTransportCheck3'] = $strChecked;



                    if ( isset( $_POST['frmMeasTransportText'] ) and trim ($_POST['frmMeasTransportText']) != '' )

                    {

                    	$help = substr(trim ($_POST['frmMeasTransportText']), 0, 500 );

                    	$_SESSION['meas_offTransportText'] = MySQL_Adapt( stripslashes($help) );

					}

                    break;



            }

        }



        else

        {

            unset($_SESSION['meas_offTransportCheck1']); unset($_SESSION['meas_offTransportCheck2']);

            unset($_SESSION['meas_offTransportCheck3']);

            unset($_SESSION['meas_offTransport']);unset($_SESSION['meas_offTransportText']);

        }



// ------------------------------------- Behindertengerechter Zugang ---------------------------------------

	case isset( $_POST['frmMeasDisabled'] ):



        if ( $_POST['frmMeasDisabled'] != '' )

        {

            $_SESSION['meas_offDisabled'] = $_POST['frmMeasDisabled'];



            unset($_SESSION['meas_offDisabledCheck1']); unset($_SESSION['meas_offDisabledCheck2']);



            switch ($_SESSION['meas_offDisabled'])

            {

                case "yes":

                    $_SESSION['meas_offDisabledCheck1'] = $strChecked;

                    break;

                case "no":

                    $_SESSION['meas_offDisabledCheck2'] = $strChecked;

                    break;

            }

        }



        else

        {

            unset($_SESSION['meas_offDisabled']);

            unset($_SESSION['meas_offDisabledCheck1']); unset($_SESSION['meas_offDisabledCheck2']);

        }



// --------------------------------------------- Kinderbetreuung ---------------------------------------------

	case isset( $_POST['frmMeasKids'] ):



        if ( $_POST['frmMeasKids'] != '' )

        {

            $_SESSION['meas_offKids'] = $_POST['frmMeasKids'];



            unset($_SESSION['meas_offKidsCheck1']); unset($_SESSION['meas_offKidsCheck2']);

            unset($_SESSION['meas_offKidsCheck3']);



            switch ($_SESSION['meas_offKids'])

            {

                case "yes":

                    $_SESSION['meas_offKidsCheck1'] = $strChecked;

                    break;

                case "no":

                    $_SESSION['meas_offKidsCheck2'] = $strChecked;

                    break;

                case "possible":

                    $_SESSION['meas_offKidsCheck3'] = $strChecked;

                    break;



            }

        }



        else

        {

            unset($_SESSION['meas_offKids']);

            unset($_SESSION['meas_offKidsCheck1']); unset($_SESSION['meas_offKidsCheck2']);

            unset($_SESSION['meas_offKidsCheck3']);

        }



// --------------------------------------------- Unterkunft ---------------------------------------------

	case isset( $_POST['frmMeasAccomodation'] ):



        if ( $_POST['frmMeasAccomodation'] != '' )

        {

            $_SESSION['meas_offAccomodation'] = $_POST['frmMeasAccomodation'];



            unset($_SESSION['meas_offAccomodationCheck1']); unset($_SESSION['meas_offAccomodationCheck2']);

            unset($_SESSION['meas_offAccomodationCheck3']);



            switch ($_SESSION['meas_offAccomodation'])

            {

                case "yes":

                    $_SESSION['meas_offAccomodationCheck1'] = $strChecked;

                    break;

                case "no":

                    $_SESSION['meas_offAccomodationCheck2'] = $strChecked;

                    break;

                case "possible":

                    $_SESSION['meas_offAccomodationCheck3'] = $strChecked;

                    break;

            }

        }



        else

        {

            unset($_SESSION['meas_offAccomodationCheck1']); unset($_SESSION['meas_offAccomodationCheck2']);

            unset($_SESSION['meas_offAccomodationCheck3']);

            unset($_SESSION['meas_offAccomodation']);

        }



// --------------------------------------------- Gleichstellung von ... ------------------------------------

	case isset( $_POST['frmMeasEqual'] ):



        if ( $_POST['frmMeasEqual'] != '' )

        {

            $_SESSION['meas_offEqual'] = $_POST['frmMeasEqual'];



            unset($_SESSION['meas_offEqualCheck1']); unset($_SESSION['meas_offEqualCheck2']);



            switch ($_SESSION['meas_offEqual'])

            {

                case "yes":

                    $_SESSION['meas_offEqualCheck1'] = $strChecked;



                    if ( isset( $_POST['frmMeasEqualText'] ) and trim ($_POST['frmMeasEqualText']) != '' )

                    {

                    	$help = substr(trim ($_POST['frmMeasEqualText']), 0, 800 );

                    	$_SESSION['meas_offEqualText'] = MySQL_Adapt( stripslashes($help) );

					}

                    break;

                case "no":

                    $_SESSION['meas_offEqualCheck2'] = $strChecked;

                    unset($_SESSION['meas_offEqualText']);

                    break;

            }

        }



        else

        {

            unset($_SESSION['meas_offEqual']);

            unset($_SESSION['meas_offEqualCheck1']); unset($_SESSION['meas_offEqualCheck2']);

            unset($_SESSION['meas_offEqualText']);

        }



}



?>