<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// rodin.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript erzeugt das Frameset der Anwendung.

//

// Die Werte werden aus der Tabelle "dictionary" abgerufen.

//

// Autor:			 Andreas Schilke.

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 22.09.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session        *

// ====================================================



include_once ('./include/global.inc.php');

// ====================================================





// Bei nicht bereinstimmung von session_id - zurck zur Startseite

if ( $sessid != $_GET['sess'] ) {

	session_unset();

	header("Location: ./index.php");

	exit;

}





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';





// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================

$strQuery = "SELECT dKey, dValue FROM dictionary

			WHERE dLang = '$strLang' AND dDomain = 'up' AND dKey IN ('headTitle', 'frameError')";



// ---------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ---------------------------------------------------------------------------------------------------------



include ('./include/mySQL.inc.php');

// ============================================================================================================



// Aktuelle Seite abrufen

$site = $_SESSION['site'] ? $_SESSION['site'] : './websites/start.php';



?>



<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN"

   "http://www.w3.org/TR/html4/frameset.dtd">

<html>



<head>

	<title><?=$headTitle?></title>

</head>



<frameset rows="140, *" border="0">

  <frame src="./include/up.inc.php" name="UpFrame" scrolling="no" noresize="noresize">

  <frameset cols="255, *" border="0">

  	<frame src="./include/navigation.inc.php" name="Navigation" scrolling="no" noresize="noresize">

  	<frame src="<?=$site?>" name="Daten" noresize="noresize">

  </frameset>

  <noframes>

    <?=$frameError?>

  </noframes>

</frameset>



</html>

