<?php



////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// contact.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript erzeugt das Sende-Formular.

// Das Skript ruft sich selber auf und prft nach Vollstndigkeit von Eingaben.

// Nach erfolgreicher Prfung werden die Formular-Eingaben an das Skript 'sendChange.php' per header() gesendet

// und in diesem per Email-Server an die Firma Equal-Ostbayern geschickt.

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 05.01.2004

//

// Letzte nderung:	 05.01.2004

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// Aktuelle Seite festlegen

$_SESSION['site'] = './websites/contact.php';





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';





// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================

$strQuery = "SELECT dKey, dValue FROM dictionary

             WHERE dLang = '$strLang' AND dDomain = 'contact'";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// ============================================================================================================





// Nach Senden der Eingaben

if ($_POST)

{

	// Lokale Variablen

	$strFrom = substr(trim($_POST['frmFrom']), 0, 255);			// Email der Trgers

	$strSubject = substr(trim($_POST['frmSubject']), 0, 255);	// zu vernderte Angaben (zum Angebot/zur Firma etc.)

	$strContent = substr(trim($_POST['frmContent']), 0, 800);	// Inhalt der nderungen bzw. der Email



	$strError = '';								// Fr die Fehler-Meldung



	// Im Falle des Eingabe-Fehlers die Error-Variablen mit Fehler-Meldung-Text versehen

	if ( trim($_POST['frmSubject']) == '' || trim($_POST['frmFrom']) == '' || trim($_POST['frmContent']) == '' )

		$strError = $entryError;



	// Wenn alle erforderlichen Eingabe-Felder gefllt wurden

	if ($strError == '') {

		$strSubject = urlencode($strSubject);

		// Inhalt vor dem Weiterleiten an die nchste Seite codieren

		$strContent = urlencode($strContent);

		// Weitegeben der Eingaben an das nchste Skript

		header("Location: ../include/sendChange.inc.php?from=$strFrom&subject=$strSubject&content=$strContent");

		exit;

	}

}



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/form.css');



?>



<?php



// =============================================================================================================

// * Wenn nicht alle Pflichtfelder vom Benutzer gefllt wurden, dann wird eine entsprechende Meldung ausgegeben

// =============================================================================================================

if ( isset($strError) )

	echo "<table align=\"center\" border=\"0\" width=\"700\" style=\"color: red\"><tr><td align=\"left\">

		  \n$strError</td></tr>\n</table>";

// =============================================================================================================



?>





<form action="./contact.php" method="post">



<table width="700" border="0" cellpadding="4" cellspacing="1" bgcolor="#C0C0C0" align="center">

<colgroup>

    <col width="25%" />

    <col width="75%" />

</colgroup>



    <tr bgcolor="#EEEEEE">

	    <td align="center" colspan="2"><b><?=$contTitle?></b></td>

    </tr>



    <tr bgcolor="white">

        <td><b><?=$emailTitle?></b></td>

        <td><input type="text" name="frmFrom" size="50" maxlength="200" value="<?=$strFrom?>"></td>

    </tr>

    <tr bgcolor="white">

        <td><b><?=$subjectTitle?></b></td>

        <td><input type="text" name="frmSubject" size="50" maxlength="200" value="<?=$strSubject?>"></td>

        </td>

    </tr>

    <tr bgcolor="white">

        <td valign="top"><b><?=$contentsTitle?></b></td>

        <td><textarea name="frmContent" cols="79" rows="8"><?=$strContent?></textarea></td>

    </tr>

</table><br />



<table width="700" align="center">

<colgroup>

    <col />

</colgroup>

	<tr>

		<td align="center">

            <input type="submit" name="submit" value="<?=$submit?>">

            <input type="reset" name="reset" value="<?=$reset?>">

		</td>

	</tr><tr>

		<td align="center"><br />

        <p style="font-size:12pt">Equal-Ostbayern GmbH</p>

    </tr><tr>

        <td align="center" style="font-size:9pt">

            Perdita Wingerter<br />

            Nibelungenstr. 16<br />

            94032 Passau<br />

            Germany<br /><br />

            Tel.: +49 (0)851 7568800<br />

            Fax: +49 (0)851 7568809

        </td>

    </tr><tr>

    	<td align="center" style="font-size:9pt"><br />E-Mail:

    		<a href="mailto:wingerter@equal-ostbayern.de">wingerter@equal-ostbayern.de</a>

    	</td>

    </tr><tr>

    	<td align="center" style="font-size:9pt">URL:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

    		<a href="http://www.equal-ostbayern.de"target="_blank">www.equal-ostbayern.de</a>

    		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

        </td>

    </tr>

</table>



    	</td>

    </tr>

</table>



</form>



</body>

</html>