<?php



////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// current.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript zeigt die Anzahl der ermittelten aktuellen Eintrge von den beiden Bereichen.

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php; rodin/include/currentShow.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 25.12.2003

//

// Letzte nderung:	 02.01.2004

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// ============================================================================================

// * Zuerst werden unntige Session-Variablen auer der Sprache (S_SESSION['lang']) entfernt  *

// ============================================================================================

foreach ($_SESSION as $key => $val) {

	if ( $key != 'lang' )

		unset ($_SESSION[$key]);

}

// ============================================================================================



// Aktuelle Seite speichern

$_SESSION['site'] = './websites/current.php';





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';



// Aktuelles Datum

$datCurrent = mktime(0, 0, 0, date("m"), date("j"), date("Y"));



// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================

$strQuery = "SELECT dKey, dValue FROM dictionary WHERE dLang = '$strLang' AND dDomain = 'current'";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// ============================================================================================================





// Anzahl der Eintrge im Bereich 'Bildung und Qualifizierung' ============================

$strQuery = "SELECT count(*) as anzahl FROM offers_education

             WHERE educ_offStatus = 'yes'

             AND ( $datCurrent - UNIX_TIMESTAMP(LEFT(educ_offEntryDate, 10)) <= 8035200 )";



$result = mysql_query($strQuery);

$line = mysql_fetch_array($result, MYSQL_ASSOC);

$intEducNum = $line['anzahl'];

mysql_free_result($result);

// ========================================================================================





// Anzahl der Eintrge im Bereich 'Beratung und Hilfestellung' ============================

$strQuery = "SELECT count(*) as anzahl FROM offers_counselling

             WHERE coun_offStatus = 'yes'

             AND ( $datCurrent - UNIX_TIMESTAMP(LEFT(coun_offEntryDate, 10)) <= 8035200 )";



$result = mysql_query($strQuery);

$line = mysql_fetch_array($result, MYSQL_ASSOC);

$intCounsNum = $line['anzahl'];

mysql_free_result($result);

// ========================================================================================



// Ausgabe-Text bestimmen ($text1 und $text2 sind von der DB-Tabelle 'dictionary')

switch(TRUE)

{

	case ($intEducNum == 0 && $intCounsNum == 0):

		$strText = $text1;

		break;

	case ($intEducNum > 0 || $intCounsNum > 0):

		$strText = $text2;

		break;

}

// =======================================================================



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/main.css');



?>



    <table align="center" border="0" width="700">

    <colgroup>

       <col />

    </colgroup>

        <tr>

            <td valign="top">

                <h5 style="color: #C0C0C0"><?=$siteName?></h5>

            </td>

        </tr><tr>

        <tr><td height="50"><?=$strText?></td></tr>

        <tr>

            <td><table width="75%"><tr><td><big><b><?=$educArea?></b></big></td><td valign="bottom">

            

<?php

// Text fr den Bereich "Bildung und Qualifizierung"

if ($intEducNum != 1) $strText = $newEntries;

else $strText = $newEntry;



if ($intEducNum > 0)

	echo "<a href=\"../include/currentShow.inc.php?table=offers_education\" style=\"color:red\">".

	     "<b>$intEducNum</b></a>&nbsp; $strText";

else

	echo "$intEducNum $strText";



?>

                </td></tr></table>

                <hr width="55%" align="left" noshade="noshade" />

            </td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        <tr>

        <td><table width="75%"><tr><td><big><b><?=$counsArea?></b></big></td><td valign="bottom">

<?php

// Text fr den Bereich "Beratung und Hilfestellung"

if ($intCounsNum != 1) $strText = $newEntries;

else $strText = $newEntry;



if ($intCounsNum > 0)

	echo "<a href=\"../include/currentShow.inc.php?table=offers_counselling\" style=\"color:red\">".

	     "<b>$intCounsNum</b></a>&nbsp; $strText";

else

	echo "$intCounsNum $strText";



?>

                </td></tr></table>

                <hr width="55%" align="left" noshade="noshade" />

            </td>

        </tr>



    </table>



</body>

</html>

