<?php



////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// start.php: Modul der Web-Anwendung RODIN, Apache-Server

//

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Das Skript erzeugt die Startseite. Die Version(deutsche, englische oder italienische) ist von der

// ausgewhlten Sprache abhngig.

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Eingebundene Dateien: rodin/include/global.inc.php; rodin/include/mySQL.inc.php; rodin/include/connect.inc.php

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//

// Autor:			 Andreas Schilke

//

// Erstellt: 		 11.07.2003

//

// Letzte nderung:	 11.09.2003

//

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





// ====================================================

// * 		global.inc.php startet die Session   	  *

// ====================================================



include_once ('../include/global.inc.php');

// ====================================================





// ============================================================================================

// * Zuerst werden unntige Session-Variablen auer der Sprache (S_SESSION['lang']) entfernt  *

// ============================================================================================

foreach ($_SESSION as $key => $val) {

	if ( $key != 'lang' )

		unset ($_SESSION[$key]);

}

// ============================================================================================



// Aktuelle Seite festlegen

$_SESSION['site'] = './websites/start.php';





// Der Variablen wird den Wert der ausgewhlten Sprache von Session-Variablen zugewiesen

$strLang = isset($_SESSION['lang']) ? $_SESSION['lang'] : 'de';





// ============================================================================================================

// *** 			Die erforderlichen Variablen-Werte fr die Ausgabe der Website aus der DB-Tabelle holen     ***

// ============================================================================================================

$strQuery = "SELECT dKey, dValue FROM dictionary WHERE dLang = '$strLang' AND dDomain = 'startSite'";



// ------------------------------------------------------------------------------------------------------------

// * Die Datei mySQL.inc.php stellt eine Verbindung zur Datenbank RODIN her und verarbeitet die SQL-Anfrage.  *

// * Es werden dabei alle erforderlichen Variablen-Werte von der Tabelle "dictionary" geholt				  *

// ------------------------------------------------------------------------------------------------------------



include ('../include/mySQL.inc.php');

// ============================================================================================================



// HTML-Grundgerst und Kopfdaten

include('../include/header.htm');



//Stylesheet-Datei einbinden

include('../include/main.css');



// =====================================================================================

// *    connect.inc.php erzeugt das Gerst auf der Web-Site fr eingebundenen Texten   *

// =====================================================================================



include ('../include/connect.inc.php');

// =====================================================================================



?>



    <table width="550" align="center" border="0">

    <colgroup>

        <col width="250" />

        <col width="100" />

        <col width="200" />

    </colgroup>

        <th align="left" style="font-size:11pt"><?=$areaEduc?></th>

        <th>&nbsp;</th>

        <th align="left" style="font-size:11pt"><?=$areaCouns?></th>

        <tr>

            <td align="left"><a href="../education/search.php"><em><?=$search?></em></a></td>

            <td>&nbsp;</td>

            <td align="left">

                <a href="../counselling/search.php"><em><?=$search?></em></a>

            </td>

        </tr><tr>

            <td align="left"><a href="../education/entry.php"><em><?=$entry?></em></a></td>

            <td>&nbsp;</td>

            <td align="left"><a href="../counselling/entry.php"><em><?=$entry?></em></a></td>

        </tr>

    </table>



</body>

</html>

